!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2022-02-19 17:49             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 112

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(893)
  integer, parameter :: nGC_10 = 1
  integer, parameter :: nGC_12 = 2
  integer, parameter :: nGC_3 = 3
  integer, parameter :: nGC_5 = 4
  integer, parameter :: nGC_25 = 5
  integer, parameter :: nGC_18 = 6
  integer, parameter :: nGC_29 = 7
  integer, parameter :: nGC_19 = 8
  integer, parameter :: nGC_4 = 9
  integer, parameter :: nGC_16 = 10
  integer, parameter :: nGC_30 = 11
  integer, parameter :: nGC_31 = 12
  integer, parameter :: nGC_43 = 13
  integer, parameter :: nGC_24 = 14
  integer, parameter :: nGC_32 = 15
  integer, parameter :: nGC_33 = 16
  integer, parameter :: nGC_44 = 17
  integer, parameter :: nGC_15 = 18
  integer, parameter :: nGC_13 = 19
  integer, parameter :: nGC_14 = 20
  integer, parameter :: nGC_4308 = 21
  integer, parameter :: nGC_48 = 22
  integer, parameter :: nGC_49 = 23
  integer, parameter :: nGC_6 = 24
  integer, parameter :: nGC_28 = 25
  integer, parameter :: nGC_27 = 26
  integer, parameter :: nGC_51 = 27
  integer, parameter :: nGC_22 = 28
  integer, parameter :: nGC_21 = 29
  integer, parameter :: nGC_26 = 30
  integer, parameter :: nGC_20 = 31
  integer, parameter :: nGC_17 = 32
  integer, parameter :: nGC_50 = 33
  integer, parameter :: nGC_42 = 34
  integer, parameter :: nGC_37 = 35
  integer, parameter :: nGC_40 = 36
  integer, parameter :: nGC_9 = 37
  integer, parameter :: nGC_8 = 38
  integer, parameter :: nGC_47 = 39
  integer, parameter :: nGC_7 = 40
  integer, parameter :: nGC_46 = 41
  integer, parameter :: nGC_45 = 42
  integer, parameter :: nGC_52 = 43
  integer, parameter :: nGC_2 = 44
  integer, parameter :: nGC_1 = 45
  integer, parameter :: nGC_11 = 46
  integer, parameter :: nGC_23 = 47
  integer, parameter :: nGC_35 = 48
  integer, parameter :: nGC_39 = 49
  integer, parameter :: nGC_34 = 50
  integer, parameter :: nGC_38 = 51
  integer, parameter :: nGC_41 = 52
  integer, parameter :: nGC_36 = 53
  integer, parameter :: nGC_85 = 54
  integer, parameter :: nGC_61 = 55
  integer, parameter :: nGC_57 = 56
  integer, parameter :: nGC_73 = 57
  integer, parameter :: nGC_77 = 58
  integer, parameter :: nGC_53 = 59
  integer, parameter :: nGC_4353 = 60
  integer, parameter :: nGC_64 = 61
  integer, parameter :: nGC_62 = 62
  integer, parameter :: nGC_76 = 63
  integer, parameter :: nGC_74 = 64
  integer, parameter :: nGC_56 = 65
  integer, parameter :: nGC_54 = 66
  integer, parameter :: nGC_63 = 67
  integer, parameter :: nGC_75 = 68
  integer, parameter :: nGC_55 = 69
  integer, parameter :: nGC_65 = 70
  integer, parameter :: nGC_4384 = 71
  integer, parameter :: nGC_69 = 72
  integer, parameter :: nGC_4385 = 73
  integer, parameter :: nGC_81 = 74
  integer, parameter :: nGC_4386 = 75
  integer, parameter :: nGC_68 = 76
  integer, parameter :: nGC_66 = 77
  integer, parameter :: nGC_72 = 78
  integer, parameter :: nGC_70 = 79
  integer, parameter :: nGC_84 = 80
  integer, parameter :: nGC_82 = 81
  integer, parameter :: nGC_67 = 82
  integer, parameter :: nGC_71 = 83
  integer, parameter :: nGC_83 = 84
  integer, parameter :: nGC_86 = 85
  integer, parameter :: nGC_88 = 86
  integer, parameter :: nGC_58 = 87
  integer, parameter :: nGC_60 = 88
  integer, parameter :: nGC_78 = 89
  integer, parameter :: nGC_80 = 90
  integer, parameter :: nGC_87 = 91
  integer, parameter :: nGC_59 = 92
  integer, parameter :: nGC_79 = 93
  integer, parameter :: nGC_4417 = 94
  integer, parameter :: nGC_MH = 95
  integer, parameter :: nGC_I = 96
  integer, parameter :: nGC_MI = 97
  integer, parameter :: nGC_4420 = 98
  integer, parameter :: nGC_ME = 99
  integer, parameter :: nGC_4421 = 100
  integer, parameter :: nGC_MM = 101
  integer, parameter :: nGC_4422 = 102
  integer, parameter :: nGC_MTA = 103
  integer, parameter :: nGC_MU = 104
  integer, parameter :: nGC_MC = 105
  integer, parameter :: nGC_4427 = 106
  integer, parameter :: nGC_MT = 107
  integer, parameter :: nGC_MD = 108
  integer, parameter :: nGC_MS = 109
  integer, parameter :: nGC_MB = 110
  integer, parameter :: nGC_4434 = 111
  integer, parameter :: nGC_MZ = 112
  integer, parameter :: nGC_4435 = 113
  integer, parameter :: nGC_MW = 114
  integer, parameter :: nGC_MW_GF = 115
  integer, parameter :: nGC_MMW_GF = 116
  integer, parameter :: nGC_MZ_GF = 117
  integer, parameter :: nGC_GG = 118
  integer, parameter :: nGC_GGH = 119
  integer, parameter :: nGC_HHH = 120
  integer, parameter :: nGC_HHGG = 121
  integer, parameter :: nGC_HHHH = 122
  integer, parameter :: nGC_GPGMGPGM = 123
  integer, parameter :: nGC_118 = 124
  integer, parameter :: nGC_122 = 125
  integer, parameter :: nGC_124 = 126
  integer, parameter :: nGC_138 = 127
  integer, parameter :: nGC_144 = 128
  integer, parameter :: nGC_148 = 129
  integer, parameter :: nGC_152 = 130
  integer, parameter :: nGC_156 = 131
  integer, parameter :: nGC_160 = 132
  integer, parameter :: nGC_174 = 133
  integer, parameter :: nGC_180 = 134
  integer, parameter :: nGC_210 = 135
  integer, parameter :: nGC_1068 = 136
  integer, parameter :: nGC_1080 = 137
  integer, parameter :: nGC_1206 = 138
  integer, parameter :: nGC_1362 = 139
  integer, parameter :: nGC_1376 = 140
  integer, parameter :: nGC_5705 = 141
  integer, parameter :: nGC_5713 = 142
  integer, parameter :: nGC_5731 = 143
  integer, parameter :: nGC_5935 = 144
  integer, parameter :: nGC_5975 = 145
  integer, parameter :: nGC_5983 = 146
  integer, parameter :: nGC_5990 = 147
  integer, parameter :: nGC_5991 = 148
  integer, parameter :: nGC_5995 = 149
  integer, parameter :: nGC_6010 = 150
  integer, parameter :: nGC_6011 = 151
  integer, parameter :: nGC_6029 = 152
  integer, parameter :: nGC_6030 = 153
  integer, parameter :: nGC_6043 = 154
  integer, parameter :: nGC_6046 = 155
  integer, parameter :: nGC_6042 = 156
  integer, parameter :: nGC_6045 = 157
  integer, parameter :: nGC_6044 = 158
  integer, parameter :: nGC_6047 = 159
  integer, parameter :: nGC_6053 = 160
  integer, parameter :: nGC_6056 = 161
  integer, parameter :: nGC_6060 = 162
  integer, parameter :: nGC_6057 = 163
  integer, parameter :: nGC_6061 = 164
  integer, parameter :: nGC_6066 = 165
  integer, parameter :: nGC_6069 = 166
  integer, parameter :: nGC_6067 = 167
  integer, parameter :: nGC_6070 = 168
  integer, parameter :: nGC_6078 = 169
  integer, parameter :: nGC_6082 = 170
  integer, parameter :: nGC_6077 = 171
  integer, parameter :: nGC_6081 = 172
  integer, parameter :: nGC_6089 = 173
  integer, parameter :: nGC_6090 = 174
  integer, parameter :: nGC_6103 = 175
  integer, parameter :: nGC_6106 = 176
  integer, parameter :: nGC_6102 = 177
  integer, parameter :: nGC_6105 = 178
  integer, parameter :: nGC_6104 = 179
  integer, parameter :: nGC_6107 = 180
  integer, parameter :: nGC_6113 = 181
  integer, parameter :: nGC_6116 = 182
  integer, parameter :: nGC_6120 = 183
  integer, parameter :: nGC_6117 = 184
  integer, parameter :: nGC_6121 = 185
  integer, parameter :: nGC_6126 = 186
  integer, parameter :: nGC_6129 = 187
  integer, parameter :: nGC_6127 = 188
  integer, parameter :: nGC_6130 = 189
  integer, parameter :: nGC_6137 = 190
  integer, parameter :: nGC_6141 = 191
  integer, parameter :: nGC_6138 = 192
  integer, parameter :: nGC_6142 = 193
  integer, parameter :: nGC_6143 = 194
  integer, parameter :: nGC_6146 = 195
  integer, parameter :: nGC_6144 = 196
  integer, parameter :: nGC_6147 = 197
  integer, parameter :: nGC_6154 = 198
  integer, parameter :: nGC_6158 = 199
  integer, parameter :: nGC_6155 = 200
  integer, parameter :: nGC_6159 = 201
  integer, parameter :: nGC_6160 = 202
  integer, parameter :: nGC_6162 = 203
  integer, parameter :: nGC_6161 = 204
  integer, parameter :: nGC_6163 = 205
  integer, parameter :: nGC_6175 = 206
  integer, parameter :: nGC_6177 = 207
  integer, parameter :: nGC_6176 = 208
  integer, parameter :: nGC_6178 = 209
  integer, parameter :: nGC_6189 = 210
  integer, parameter :: nGC_6191 = 211
  integer, parameter :: nGC_6190 = 212
  integer, parameter :: nGC_6192 = 213
  integer, parameter :: nGC_6203 = 214
  integer, parameter :: nGC_6205 = 215
  integer, parameter :: nGC_6204 = 216
  integer, parameter :: nGC_6206 = 217
  integer, parameter :: nGC_6217 = 218
  integer, parameter :: nGC_6219 = 219
  integer, parameter :: nGC_6218 = 220
  integer, parameter :: nGC_6220 = 221
  integer, parameter :: nGC_6233 = 222
  integer, parameter :: nGC_6234 = 223
  integer, parameter :: nGC_6239 = 224
  integer, parameter :: nGC_6238 = 225
  integer, parameter :: nGC_6243 = 226
  integer, parameter :: nGC_6242 = 227
  integer, parameter :: nGC_6275 = 228
  integer, parameter :: nGC_4342 = 229
  integer, parameter :: nGC_4345 = 230
  integer, parameter :: nGC_4348 = 231
  integer, parameter :: nGC_4351 = 232
  integer, parameter :: nGC_6322 = 233
  integer, parameter :: nGC_6314 = 234
  integer, parameter :: nGC_6313 = 235
  integer, parameter :: nGC_6370 = 236
  integer, parameter :: nGC_6371 = 237
  integer, parameter :: nGC_6382 = 238
  integer, parameter :: nGC_6381 = 239
  integer, parameter :: nGC_6393 = 240
  integer, parameter :: nGC_6392 = 241
  integer, parameter :: nGC_6403 = 242
  integer, parameter :: nGC_6406 = 243
  integer, parameter :: nGC_6409 = 244
  integer, parameter :: nGC_6429 = 245
  integer, parameter :: nGC_6435 = 246
  integer, parameter :: nGC_6441 = 247
  integer, parameter :: nGC_6513 = 248
  integer, parameter :: nGC_6512 = 249
  integer, parameter :: nGC_6524 = 250
  integer, parameter :: nGC_6523 = 251
  integer, parameter :: nGC_6533 = 252
  integer, parameter :: nGC_6547 = 253
  integer, parameter :: nGC_6546 = 254
  integer, parameter :: nGC_6548 = 255
  integer, parameter :: nGC_6549 = 256
  integer, parameter :: nGC_6550 = 257
  integer, parameter :: nGC_6551 = 258
  integer, parameter :: nGC_6552 = 259
  integer, parameter :: nGC_6553 = 260
  integer, parameter :: nGC_6556 = 261
  integer, parameter :: nGC_6557 = 262
  integer, parameter :: nGC_6558 = 263
  integer, parameter :: nGC_6559 = 264
  integer, parameter :: nGC_6562 = 265
  integer, parameter :: nGC_6563 = 266
  integer, parameter :: nGC_6564 = 267
  integer, parameter :: nGC_6565 = 268
  integer, parameter :: nGC_6568 = 269
  integer, parameter :: nGC_6569 = 270
  integer, parameter :: nGC_6570 = 271
  integer, parameter :: nGC_6571 = 272
  integer, parameter :: nGC_4423 = 273
  integer, parameter :: nGC_6576 = 274
  integer, parameter :: nGC_6578 = 275
  integer, parameter :: nGC_6580 = 276
  integer, parameter :: nGC_6582 = 277
  integer, parameter :: nGC_4424 = 278
  integer, parameter :: nGC_6577 = 279
  integer, parameter :: nGC_6579 = 280
  integer, parameter :: nGC_6581 = 281
  integer, parameter :: nGC_6583 = 282
  integer, parameter :: nGC_4425 = 283
  integer, parameter :: nGC_6588 = 284
  integer, parameter :: nGC_6590 = 285
  integer, parameter :: nGC_6592 = 286
  integer, parameter :: nGC_6594 = 287
  integer, parameter :: nGC_4426 = 288
  integer, parameter :: nGC_6589 = 289
  integer, parameter :: nGC_6591 = 290
  integer, parameter :: nGC_6593 = 291
  integer, parameter :: nGC_6595 = 292
  integer, parameter :: nGC_6598 = 293
  integer, parameter :: nGC_6599 = 294
  integer, parameter :: nGC_6600 = 295
  integer, parameter :: nGC_6601 = 296
  integer, parameter :: nGC_4428 = 297
  integer, parameter :: nGC_6606 = 298
  integer, parameter :: nGC_6608 = 299
  integer, parameter :: nGC_6610 = 300
  integer, parameter :: nGC_6612 = 301
  integer, parameter :: nGC_4429 = 302
  integer, parameter :: nGC_6607 = 303
  integer, parameter :: nGC_6609 = 304
  integer, parameter :: nGC_6611 = 305
  integer, parameter :: nGC_6613 = 306
  integer, parameter :: nGC_4430 = 307
  integer, parameter :: nGC_6618 = 308
  integer, parameter :: nGC_6620 = 309
  integer, parameter :: nGC_6622 = 310
  integer, parameter :: nGC_6624 = 311
  integer, parameter :: nGC_4431 = 312
  integer, parameter :: nGC_6619 = 313
  integer, parameter :: nGC_6621 = 314
  integer, parameter :: nGC_6623 = 315
  integer, parameter :: nGC_6625 = 316
  integer, parameter :: nGC_4432 = 317
  integer, parameter :: nGC_6630 = 318
  integer, parameter :: nGC_6632 = 319
  integer, parameter :: nGC_6634 = 320
  integer, parameter :: nGC_6636 = 321
  integer, parameter :: nGC_4433 = 322
  integer, parameter :: nGC_6631 = 323
  integer, parameter :: nGC_6633 = 324
  integer, parameter :: nGC_6635 = 325
  integer, parameter :: nGC_6637 = 326
  integer, parameter :: nGC_6638 = 327
  integer, parameter :: nGC_6639 = 328
  integer, parameter :: nGC_6640 = 329
  integer, parameter :: nGC_6641 = 330
  integer, parameter :: nGC_6642 = 331
  integer, parameter :: nGC_6646 = 332
  integer, parameter :: nGC_6645 = 333
  integer, parameter :: nGC_6647 = 334
  integer, parameter :: nGC_6654 = 335
  integer, parameter :: nGC_6653 = 336
  integer, parameter :: nGC_6655 = 337
  integer, parameter :: nGC_6656 = 338
  integer, parameter :: nGC_6657 = 339
  integer, parameter :: nGC_6668 = 340
  integer, parameter :: nGC_8100 = 341
  integer, parameter :: nGC_2604 = 342
  integer, parameter :: nGC_2605 = 343
  integer, parameter :: nGC_2606 = 344
  integer, parameter :: nGC_2607 = 345
  integer, parameter :: nGC_2608 = 346
  integer, parameter :: nGC_2609 = 347
  integer, parameter :: nGC_2610 = 348
  integer, parameter :: nGC_2611 = 349
  integer, parameter :: nGC_2612 = 350
  integer, parameter :: nGC_2613 = 351
  integer, parameter :: nGC_2614 = 352
  integer, parameter :: nGC_2615 = 353
  integer, parameter :: nGC_2616 = 354
  integer, parameter :: nGC_2617 = 355
  integer, parameter :: nGC_2618 = 356
  integer, parameter :: nGC_2619 = 357
  integer, parameter :: nGC_2620 = 358
  integer, parameter :: nGC_2621 = 359
  integer, parameter :: nGC_2622 = 360
  integer, parameter :: nGC_2623 = 361
  integer, parameter :: nGC_2624 = 362
  integer, parameter :: nGC_2625 = 363
  integer, parameter :: nGC_2626 = 364
  integer, parameter :: nGC_2627 = 365
  integer, parameter :: nGC_10535 = 366
  integer, parameter :: nGC_2628 = 367
  integer, parameter :: nGC_10537 = 368
  integer, parameter :: nGC_2629 = 369
  integer, parameter :: nGC_2630 = 370
  integer, parameter :: nGC_2631 = 371
  integer, parameter :: nGC_2632 = 372
  integer, parameter :: nGC_2633 = 373
  integer, parameter :: nGC_2634 = 374
  integer, parameter :: nGC_2635 = 375
  integer, parameter :: nGC_2636 = 376
  integer, parameter :: nGC_2637 = 377
  integer, parameter :: nGC_2638 = 378
  integer, parameter :: nGC_2639 = 379
  integer, parameter :: nGC_2640 = 380
  integer, parameter :: nGC_2641 = 381
  integer, parameter :: nGC_2642 = 382
  integer, parameter :: nGC_2643 = 383
  integer, parameter :: nGC_2644 = 384
  integer, parameter :: nGC_2645 = 385
  integer, parameter :: nGC_2646 = 386
  integer, parameter :: nGC_2647 = 387
  integer, parameter :: nGC_2648 = 388
  integer, parameter :: nGC_2649 = 389
  integer, parameter :: nGC_2650 = 390
  integer, parameter :: nGC_2651 = 391
  integer, parameter :: nGC_2652 = 392
  integer, parameter :: nGC_2653 = 393
  integer, parameter :: nGC_2654 = 394
  integer, parameter :: nGC_2655 = 395
  integer, parameter :: nGC_2656 = 396
  integer, parameter :: nGC_2657 = 397
  integer, parameter :: nGC_2658 = 398
  integer, parameter :: nGC_2659 = 399
  integer, parameter :: nGC_2660 = 400
  integer, parameter :: nGC_2661 = 401
  integer, parameter :: nGC_2662 = 402
  integer, parameter :: nGC_2663 = 403
  integer, parameter :: nGC_10809 = 404
  integer, parameter :: nGC_2664 = 405
  integer, parameter :: nGC_10811 = 406
  integer, parameter :: nGC_2665 = 407
  integer, parameter :: nGC_2666 = 408
  integer, parameter :: nGC_10836 = 409
  integer, parameter :: nGC_2667 = 410
  integer, parameter :: nGC_2668 = 411
  integer, parameter :: nGC_2669 = 412
  integer, parameter :: nGC_10843 = 413
  integer, parameter :: nGC_2670 = 414
  integer, parameter :: nGC_2671 = 415
  integer, parameter :: nGC_2672 = 416
  integer, parameter :: nGC_2673 = 417
  integer, parameter :: nGC_2674 = 418
  integer, parameter :: nGC_2675 = 419
  integer, parameter :: nGC_2676 = 420
  integer, parameter :: nGC_2677 = 421
  integer, parameter :: nGC_2678 = 422
  integer, parameter :: nGC_2679 = 423
  integer, parameter :: nGC_2680 = 424
  integer, parameter :: nGC_2681 = 425
  integer, parameter :: nGC_2682 = 426
  integer, parameter :: nGC_4182 = 427
  integer, parameter :: nGC_4179 = 428
  integer, parameter :: nGC_4185 = 429
  integer, parameter :: nGC_4195 = 430
  integer, parameter :: nGC_4154 = 431
  integer, parameter :: nGC_4155 = 432
  integer, parameter :: nGC_4156 = 433
  integer, parameter :: nGC_4172 = 434
  integer, parameter :: nGC_4173 = 435
  integer, parameter :: nGC_4285 = 436
  integer, parameter :: nGC_4284 = 437
  integer, parameter :: nGC_4283 = 438
  integer, parameter :: nGC_4166 = 439
  integer, parameter :: nGC_4164 = 440
  integer, parameter :: nGC_4165 = 441
  integer, parameter :: nGC_4196 = 442
  integer, parameter :: nGC_4175 = 443
  integer, parameter :: nGC_4174 = 444
  integer, parameter :: nGC_4281 = 445
  integer, parameter :: nGC_4282 = 446
  integer, parameter :: nGC_4280 = 447
  integer, parameter :: nGC_4277 = 448
  integer, parameter :: nGC_4275 = 449
  integer, parameter :: nGC_4276 = 450
  integer, parameter :: nGC_4240 = 451
  integer, parameter :: nGC_4241 = 452
  integer, parameter :: nGC_4239 = 453
  integer, parameter :: nGC_4238 = 454
  integer, parameter :: nGC_4149 = 455
  integer, parameter :: nGC_4150 = 456
  integer, parameter :: nGC_4151 = 457
  integer, parameter :: nGC_4213 = 458
  integer, parameter :: nGC_4214 = 459
  integer, parameter :: nGC_4215 = 460
  integer, parameter :: nGC_4203 = 461
  integer, parameter :: nGC_4201 = 462
  integer, parameter :: nGC_4202 = 463
  integer, parameter :: nGC_4236 = 464
  integer, parameter :: nGC_4237 = 465
  integer, parameter :: nGC_4234 = 466
  integer, parameter :: nGC_4235 = 467
  integer, parameter :: nGC_4170 = 468
  integer, parameter :: nGC_4178 = 469
  integer, parameter :: nGC_4248 = 470
  integer, parameter :: nGC_4249 = 471
  integer, parameter :: nGC_4255 = 472
  integer, parameter :: nGC_4254 = 473
  integer, parameter :: nGC_4191 = 474
  integer, parameter :: nGC_4264 = 475
  integer, parameter :: nGC_4265 = 476
  integer, parameter :: nGC_4287 = 477
  integer, parameter :: nGC_4286 = 478
  integer, parameter :: nGC_4260 = 479
  integer, parameter :: nGC_4259 = 480
  integer, parameter :: nGC_4261 = 481
  integer, parameter :: nGC_4147 = 482
  integer, parameter :: nGC_4148 = 483
  integer, parameter :: nGC_4161 = 484
  integer, parameter :: nGC_4160 = 485
  integer, parameter :: nGC_4197 = 486
  integer, parameter :: nGC_4198 = 487
  integer, parameter :: nGC_4158 = 488
  integer, parameter :: nGC_4159 = 489
  integer, parameter :: nGC_4168 = 490
  integer, parameter :: nGC_4169 = 491
  integer, parameter :: nGC_4257 = 492
  integer, parameter :: nGC_4258 = 493
  integer, parameter :: nGC_4256 = 494
  integer, parameter :: nGC_4229 = 495
  integer, parameter :: nGC_4228 = 496
  integer, parameter :: nGC_4230 = 497
  integer, parameter :: nGC_4212 = 498
  integer, parameter :: nGC_4210 = 499
  integer, parameter :: nGC_4211 = 500
  integer, parameter :: nGC_4226 = 501
  integer, parameter :: nGC_4227 = 502
  integer, parameter :: nGC_4225 = 503
  integer, parameter :: nGC_4184 = 504
  integer, parameter :: nGC_4183 = 505
  integer, parameter :: nGC_4194 = 506
  integer, parameter :: nGC_4193 = 507
  integer, parameter :: nGC_4247 = 508
  integer, parameter :: nGC_4246 = 509
  integer, parameter :: nGC_4245 = 510
  integer, parameter :: nGC_4186 = 511
  integer, parameter :: nGC_4187 = 512
  integer, parameter :: nGC_4250 = 513
  integer, parameter :: nGC_4252 = 514
  integer, parameter :: nGC_4251 = 515
  integer, parameter :: nGC_4243 = 516
  integer, parameter :: nGC_4242 = 517
  integer, parameter :: nGC_4244 = 518
  integer, parameter :: nGC_4274 = 519
  integer, parameter :: nGC_4271 = 520
  integer, parameter :: nGC_4273 = 521
  integer, parameter :: nGC_4272 = 522
  integer, parameter :: nGC_4200 = 523
  integer, parameter :: nGC_4199 = 524
  integer, parameter :: nGC_2683 = 525
  integer, parameter :: nGC_4152 = 526
  integer, parameter :: nGC_4153 = 527
  integer, parameter :: nGC_4204 = 528
  integer, parameter :: nGC_4206 = 529
  integer, parameter :: nGC_4205 = 530
  integer, parameter :: nGC_4222 = 531
  integer, parameter :: nGC_4224 = 532
  integer, parameter :: nGC_4223 = 533
  integer, parameter :: nGC_4217 = 534
  integer, parameter :: nGC_4216 = 535
  integer, parameter :: nGC_4218 = 536
  integer, parameter :: nGC_4221 = 537
  integer, parameter :: nGC_4220 = 538
  integer, parameter :: nGC_4219 = 539
  integer, parameter :: nGC_4232 = 540
  integer, parameter :: nGC_4231 = 541
  integer, parameter :: nGC_4233 = 542
  integer, parameter :: nGC_4208 = 543
  integer, parameter :: nGC_4207 = 544
  integer, parameter :: nGC_4209 = 545
  integer, parameter :: nGC_4288 = 546
  integer, parameter :: nGC_4192 = 547
  integer, parameter :: nGC_4146 = 548
  integer, parameter :: nGC_4144 = 549
  integer, parameter :: nGC_4162 = 550
  integer, parameter :: nGC_4163 = 551
  integer, parameter :: nGC_4279 = 552
  integer, parameter :: nGC_4145 = 553
  integer, parameter :: nGC_4167 = 554
  integer, parameter :: nGC_4180 = 555
  integer, parameter :: nGC_4176 = 556
  integer, parameter :: nGC_4181 = 557
  integer, parameter :: nGC_2699 = 558
  integer, parameter :: nGC_2701 = 559
  integer, parameter :: nGC_2703 = 560
  integer, parameter :: nGC_4341 = 561
  integer, parameter :: nGC_4344 = 562
  integer, parameter :: nGC_4343 = 563
  integer, parameter :: nGC_4346 = 564
  integer, parameter :: nGC_4347 = 565
  integer, parameter :: nGC_4350 = 566
  integer, parameter :: nGC_4349 = 567
  integer, parameter :: nGC_4352 = 568
  integer, parameter :: nGC_4355 = 569
  integer, parameter :: nGC_4356 = 570
  integer, parameter :: nGC_4354 = 571
  integer, parameter :: nGC_4253 = 572
  integer, parameter :: nGC_4267 = 573
  integer, parameter :: nGC_4359 = 574
  integer, parameter :: nGC_4362 = 575
  integer, parameter :: nGC_4177 = 576
  integer, parameter :: nGC_4157 = 577
  integer, parameter :: nGC_4365 = 578
  integer, parameter :: nGC_4368 = 579
  integer, parameter :: nGC_4278 = 580
  integer, parameter :: nGC_4268 = 581
  integer, parameter :: nGC_4371 = 582
  integer, parameter :: nGC_4374 = 583
  integer, parameter :: nGC_4270 = 584
  integer, parameter :: nGC_4376 = 585
  integer, parameter :: nGC_4171 = 586
  integer, parameter :: nGC_4379 = 587
  integer, parameter :: nGC_4266 = 588
  integer, parameter :: nGC_4382 = 589
  integer, parameter :: nGC_4189 = 590
  integer, parameter :: nGC_4188 = 591
  integer, parameter :: nGC_4398 = 592
  integer, parameter :: nGC_4401 = 593
  integer, parameter :: nGC_4269 = 594
  integer, parameter :: nGC_4263 = 595
  integer, parameter :: nGC_4404 = 596
  integer, parameter :: nGC_4407 = 597
  integer, parameter :: nGC_4190 = 598
  integer, parameter :: nGC_4411 = 599
  integer, parameter :: nGC_4262 = 600
  integer, parameter :: nGC_4414 = 601
  integer, parameter :: nGC_4289 = 602
  integer, parameter :: nGC_4290 = 603
  integer, parameter :: nGC_4291 = 604
  integer, parameter :: nGC_4292 = 605
  integer, parameter :: nGC_4293 = 606
  integer, parameter :: nGC_4294 = 607
  integer, parameter :: nGC_4295 = 608
  integer, parameter :: nGC_4296 = 609
  integer, parameter :: nGC_4297 = 610
  integer, parameter :: nGC_4298 = 611
  integer, parameter :: nGC_4299 = 612
  integer, parameter :: nGC_4300 = 613
  integer, parameter :: nGC_4301 = 614
  integer, parameter :: nGC_4302 = 615
  integer, parameter :: nGC_4303 = 616
  integer, parameter :: nGC_4304 = 617
  integer, parameter :: nGC_4305 = 618
  integer, parameter :: nGC_4306 = 619
  integer, parameter :: nGC_4307 = 620
  integer, parameter :: nGC_4309 = 621
  integer, parameter :: nGC_4310 = 622
  integer, parameter :: nGC_4311 = 623
  integer, parameter :: nGC_4312 = 624
  integer, parameter :: nGC_4313 = 625
  integer, parameter :: nGC_4314 = 626
  integer, parameter :: nGC_4315 = 627
  integer, parameter :: nGC_4316 = 628
  integer, parameter :: nGC_4317 = 629
  integer, parameter :: nGC_4318 = 630
  integer, parameter :: nGC_4319 = 631
  integer, parameter :: nGC_4320 = 632
  integer, parameter :: nGC_4321 = 633
  integer, parameter :: nGC_4322 = 634
  integer, parameter :: nGC_4323 = 635
  integer, parameter :: nGC_4324 = 636
  integer, parameter :: nGC_4325 = 637
  integer, parameter :: nGC_4326 = 638
  integer, parameter :: nGC_4327 = 639
  integer, parameter :: nGC_4328 = 640
  integer, parameter :: nGC_4329 = 641
  integer, parameter :: nGC_4330 = 642
  integer, parameter :: nGC_4331 = 643
  integer, parameter :: nGC_4332 = 644
  integer, parameter :: nGC_4333 = 645
  integer, parameter :: nGC_4334 = 646
  integer, parameter :: nGC_4335 = 647
  integer, parameter :: nGC_4336 = 648
  integer, parameter :: nGC_4337 = 649
  integer, parameter :: nGC_4338 = 650
  integer, parameter :: nGC_4339 = 651
  integer, parameter :: nGC_4340 = 652
  integer, parameter :: nGC_4387 = 653
  integer, parameter :: nGC_4388 = 654
  integer, parameter :: nGC_4389 = 655
  integer, parameter :: nGC_4390 = 656
  integer, parameter :: nGC_4391 = 657
  integer, parameter :: nGC_4392 = 658
  integer, parameter :: nGC_4393 = 659
  integer, parameter :: nGC_4394 = 660
  integer, parameter :: nGC_4395 = 661
  integer, parameter :: nGC_4408 = 662
  integer, parameter :: nGC_4409 = 663
  integer, parameter :: nGC_4416 = 664
  integer, parameter :: nGC_4436 = 665
  integer, parameter :: nGC_4437 = 666
  integer, parameter :: nGC_4438 = 667
  integer, parameter :: nGC_5676 = 668
  integer, parameter :: nGC_5681 = 669
  integer, parameter :: nGC_5682 = 670
  integer, parameter :: nGC_5685 = 671
  integer, parameter :: nGC_5686 = 672
  integer, parameter :: nGC_5698 = 673
  integer, parameter :: nGC_5702 = 674
  integer, parameter :: nGC_5706 = 675
  integer, parameter :: nGC_5707 = 676
  integer, parameter :: nGC_5708 = 677
  integer, parameter :: nGC_5714 = 678
  integer, parameter :: nGC_5715 = 679
  integer, parameter :: nGC_5716 = 680
  integer, parameter :: nGC_5725 = 681
  integer, parameter :: nGC_5726 = 682
  integer, parameter :: nGC_5734 = 683
  integer, parameter :: nGC_5735 = 684
  integer, parameter :: nGC_5736 = 685
  integer, parameter :: nGC_5749 = 686
  integer, parameter :: nGC_5750 = 687
  integer, parameter :: nGC_5753 = 688
  integer, parameter :: nGC_5754 = 689
  integer, parameter :: nGC_5761 = 690
  integer, parameter :: nGC_5765 = 691
  integer, parameter :: nGC_5766 = 692
  integer, parameter :: nGC_5770 = 693
  integer, parameter :: nGC_5771 = 694
  integer, parameter :: nGC_5775 = 695
  integer, parameter :: nGC_5776 = 696
  integer, parameter :: nGC_5786 = 697
  integer, parameter :: nGC_5787 = 698
  integer, parameter :: nGC_5791 = 699
  integer, parameter :: nGC_5792 = 700
  integer, parameter :: nGC_5796 = 701
  integer, parameter :: nGC_5797 = 702
  integer, parameter :: nGC_5806 = 703
  integer, parameter :: nGC_5809 = 704
  integer, parameter :: nGC_5810 = 705
  integer, parameter :: nGC_5822 = 706
  integer, parameter :: nGC_5829 = 707
  integer, parameter :: nGC_5833 = 708
  integer, parameter :: nGC_5840 = 709
  integer, parameter :: nGC_5844 = 710
  integer, parameter :: nGC_5849 = 711
  integer, parameter :: nGC_5853 = 712
  integer, parameter :: nGC_5857 = 713
  integer, parameter :: nGC_5861 = 714
  integer, parameter :: nGC_5865 = 715
  integer, parameter :: nGC_5869 = 716
  integer, parameter :: nGC_5873 = 717
  integer, parameter :: nGC_5877 = 718
  integer, parameter :: nGC_5881 = 719
  integer, parameter :: nGC_5884 = 720
  integer, parameter :: nGC_5887 = 721
  integer, parameter :: nGC_5891 = 722
  integer, parameter :: nGC_5895 = 723
  integer, parameter :: nGC_5912 = 724
  integer, parameter :: nGC_5915 = 725
  integer, parameter :: nGC_5920 = 726
  integer, parameter :: nGC_5923 = 727
  integer, parameter :: nGC_5931 = 728
  integer, parameter :: nGC_5934 = 729
  integer, parameter :: nGC_5974 = 730
  integer, parameter :: nGC_5978 = 731
  integer, parameter :: nGC_5982 = 732
  integer, parameter :: nGC_5992 = 733
  integer, parameter :: nGC_5993 = 734
  integer, parameter :: nGC_5994 = 735
  integer, parameter :: nGC_6000 = 736
  integer, parameter :: nGC_6001 = 737
  integer, parameter :: nGC_6002 = 738
  integer, parameter :: nGC_6003 = 739
  integer, parameter :: nGC_6012 = 740
  integer, parameter :: nGC_6013 = 741
  integer, parameter :: nGC_6019 = 742
  integer, parameter :: nGC_6020 = 743
  integer, parameter :: nGC_6021 = 744
  integer, parameter :: nGC_6022 = 745
  integer, parameter :: nGC_6031 = 746
  integer, parameter :: nGC_6032 = 747
  integer, parameter :: nGC_6038 = 748
  integer, parameter :: nGC_6039 = 749
  integer, parameter :: nGC_6040 = 750
  integer, parameter :: nGC_6041 = 751
  integer, parameter :: nGC_6050 = 752
  integer, parameter :: nGC_6051 = 753
  integer, parameter :: nGC_6052 = 754
  integer, parameter :: nGC_6062 = 755
  integer, parameter :: nGC_6063 = 756
  integer, parameter :: nGC_6064 = 757
  integer, parameter :: nGC_6065 = 758
  integer, parameter :: nGC_6091 = 759
  integer, parameter :: nGC_6092 = 760
  integer, parameter :: nGC_6098 = 761
  integer, parameter :: nGC_6099 = 762
  integer, parameter :: nGC_6100 = 763
  integer, parameter :: nGC_6101 = 764
  integer, parameter :: nGC_6110 = 765
  integer, parameter :: nGC_6111 = 766
  integer, parameter :: nGC_6112 = 767
  integer, parameter :: nGC_6122 = 768
  integer, parameter :: nGC_6123 = 769
  integer, parameter :: nGC_6124 = 770
  integer, parameter :: nGC_6125 = 771
  integer, parameter :: nGC_6166 = 772
  integer, parameter :: nGC_6167 = 773
  integer, parameter :: nGC_6168 = 774
  integer, parameter :: nGC_6181 = 775
  integer, parameter :: nGC_6182 = 776
  integer, parameter :: nGC_6195 = 777
  integer, parameter :: nGC_6196 = 778
  integer, parameter :: nGC_6209 = 779
  integer, parameter :: nGC_6210 = 780
  integer, parameter :: nGC_6223 = 781
  integer, parameter :: nGC_6224 = 782
  integer, parameter :: nGC_6235 = 783
  integer, parameter :: nGC_6244 = 784
  integer, parameter :: nGC_6259 = 785
  integer, parameter :: nGC_6262 = 786
  integer, parameter :: nGC_6265 = 787
  integer, parameter :: nGC_6274 = 788
  integer, parameter :: nGC_6278 = 789
  integer, parameter :: nGC_6282 = 790
  integer, parameter :: nGC_6294 = 791
  integer, parameter :: nGC_6295 = 792
  integer, parameter :: nGC_6296 = 793
  integer, parameter :: nGC_6297 = 794
  integer, parameter :: nGC_6308 = 795
  integer, parameter :: nGC_6309 = 796
  integer, parameter :: nGC_6310 = 797
  integer, parameter :: nGC_6311 = 798
  integer, parameter :: nGC_6323 = 799
  integer, parameter :: nGC_6324 = 800
  integer, parameter :: nGC_6325 = 801
  integer, parameter :: nGC_4358 = 802
  integer, parameter :: nGC_4361 = 803
  integer, parameter :: nGC_6338 = 804
  integer, parameter :: nGC_6339 = 805
  integer, parameter :: nGC_4364 = 806
  integer, parameter :: nGC_4367 = 807
  integer, parameter :: nGC_6352 = 808
  integer, parameter :: nGC_6353 = 809
  integer, parameter :: nGC_4370 = 810
  integer, parameter :: nGC_4373 = 811
  integer, parameter :: nGC_6366 = 812
  integer, parameter :: nGC_6367 = 813
  integer, parameter :: nGC_4375 = 814
  integer, parameter :: nGC_6376 = 815
  integer, parameter :: nGC_4377 = 816
  integer, parameter :: nGC_6377 = 817
  integer, parameter :: nGC_6378 = 818
  integer, parameter :: nGC_4380 = 819
  integer, parameter :: nGC_6387 = 820
  integer, parameter :: nGC_4378 = 821
  integer, parameter :: nGC_6388 = 822
  integer, parameter :: nGC_6389 = 823
  integer, parameter :: nGC_4383 = 824
  integer, parameter :: nGC_6398 = 825
  integer, parameter :: nGC_4381 = 826
  integer, parameter :: nGC_6399 = 827
  integer, parameter :: nGC_6400 = 828
  integer, parameter :: nGC_6414 = 829
  integer, parameter :: nGC_6415 = 830
  integer, parameter :: nGC_6420 = 831
  integer, parameter :: nGC_6421 = 832
  integer, parameter :: nGC_6426 = 833
  integer, parameter :: nGC_6427 = 834
  integer, parameter :: nGC_6432 = 835
  integer, parameter :: nGC_6433 = 836
  integer, parameter :: nGC_6438 = 837
  integer, parameter :: nGC_6439 = 838
  integer, parameter :: nGC_6444 = 839
  integer, parameter :: nGC_6445 = 840
  integer, parameter :: nGC_4397 = 841
  integer, parameter :: nGC_4400 = 842
  integer, parameter :: nGC_6488 = 843
  integer, parameter :: nGC_6489 = 844
  integer, parameter :: nGC_4403 = 845
  integer, parameter :: nGC_4406 = 846
  integer, parameter :: nGC_6502 = 847
  integer, parameter :: nGC_6503 = 848
  integer, parameter :: nGC_6508 = 849
  integer, parameter :: nGC_6509 = 850
  integer, parameter :: nGC_4412 = 851
  integer, parameter :: nGC_6518 = 852
  integer, parameter :: nGC_4410 = 853
  integer, parameter :: nGC_6519 = 854
  integer, parameter :: nGC_6520 = 855
  integer, parameter :: nGC_4415 = 856
  integer, parameter :: nGC_6529 = 857
  integer, parameter :: nGC_4413 = 858
  integer, parameter :: nGC_6530 = 859
  integer, parameter :: nGC_6531 = 860
  integer, parameter :: nGC_6536 = 861
  integer, parameter :: nGC_6537 = 862
  integer, parameter :: nGC_6661 = 863
  integer, parameter :: nGC_6664 = 864
  integer, parameter :: nGC_6667 = 865
  integer, parameter :: nGC_6690 = 866
  integer, parameter :: nGC_6700 = 867
  integer, parameter :: nGC_7309 = 868
  integer, parameter :: nGC_7325 = 869
  integer, parameter :: nGC_7625 = 870
  integer, parameter :: nGC_7636 = 871
  integer, parameter :: nGC_7947 = 872
  integer, parameter :: nGC_8089 = 873
  integer, parameter :: nGC_4357 = 874
  integer, parameter :: nGC_4360 = 875
  integer, parameter :: nGC_4363 = 876
  integer, parameter :: nGC_4366 = 877
  integer, parameter :: nGC_4369 = 878
  integer, parameter :: nGC_4372 = 879
  integer, parameter :: nGC_4396 = 880
  integer, parameter :: nGC_4399 = 881
  integer, parameter :: nGC_4402 = 882
  integer, parameter :: nGC_4405 = 883
  integer, parameter :: nGC_6336 = 884
  integer, parameter :: nGC_6337 = 885
  integer, parameter :: nGC_6350 = 886
  integer, parameter :: nGC_6351 = 887
  integer, parameter :: nGC_6364 = 888
  integer, parameter :: nGC_6365 = 889
  integer, parameter :: nGC_6486 = 890
  integer, parameter :: nGC_6487 = 891
  integer, parameter :: nGC_6500 = 892
  integer, parameter :: nGC_6501 = 893
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
