!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2022-02-19 17:49             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_4308) = -cima*dlam_QED2
    coupl(nGC_4353) = cima*dyt_QED1
    coupl(nGC_4384) = -cima*dye_QED1
    coupl(nGC_4385) = -cima*dym_QED1
    coupl(nGC_4386) = -cima*dytau_QED1
    coupl(nGC_4417) = -cima*dMH2
    coupl(nGC_4420) = -cima*dME
    coupl(nGC_4421) = -cima*dMM
    coupl(nGC_4422) = -cima*dMTA
    coupl(nGC_4427) = -cima*dMT
    coupl(nGC_4434) = cima*dMZ2
    coupl(nGC_4435) = cima*dMW2
    coupl(nGC_GG) = cima*dt/vev
    coupl(nGC_GGH) = -cima*dt/vev**2d0
    coupl(nGC_HHH) = -3d0*cima*dt/vev**2d0
    coupl(nGC_HHGG) = -cima*dt/vev**3d0
    coupl(nGC_HHHH) = -3d0*cima*dt/vev**3d0
    coupl(nGC_GPGMGPGM) = -2d0*cima*dt/vev**3d0
    coupl(nGC_5705) = coupl(nGC_29)*dZZA
    coupl(nGC_5713) = coupl(nGC_19)*dZZA/2d0 + coupl(nGC_5)*dZAZ/2d0
    coupl(nGC_5731) = coupl(nGC_29)*dZAZ
    coupl(nGC_5935) = coupl(nGC_37)*dZZA/2d0
    coupl(nGC_5975) = coupl(nGC_46)*dZZA/2d0
    coupl(nGC_5983) = coupl(nGC_52)*dZZA/2d0
    coupl(nGC_5990) = coupl(nGC_4)*dZeMinusL + coupl(nGC_40)*dZZA/2d0
    coupl(nGC_5991) = coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4)*dZeMinusR
    coupl(nGC_5995) = coupl(nGC_4)*dZAZ/2d0
    coupl(nGC_6010) = coupl(nGC_4)*dZmuMinusL + coupl(nGC_40)*dZZA/2d0
    coupl(nGC_6011) = coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4)*dZmuMinusR
    coupl(nGC_6029) = coupl(nGC_4)*dZtauMinusL + coupl(nGC_40)*dZZA/2d0
    coupl(nGC_6030) = coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4)*dZtauMinusR
    coupl(nGC_6043) = coupl(nGC_2)*dZuL_QED2
    coupl(nGC_6046) = coupl(nGC_2)*dZuR_QED2
    coupl(nGC_6042) = coupl(nGC_2)*dZuL_QCD2
    coupl(nGC_6045) = coupl(nGC_2)*dZuR_QCD2
    coupl(nGC_6044) = coupl(nGC_39)*dZZA/2d0
    coupl(nGC_6047) = coupl(nGC_35)*dZZA/2d0
    coupl(nGC_6053) = coupl(nGC_2)*dZAZ/2d0
    coupl(nGC_6056) = coupl(nGC_35)*dZuR_QCD2
    coupl(nGC_6060) = coupl(nGC_39)*dZuL_QCD2
    coupl(nGC_6057) = coupl(nGC_35)*dZuR_QED2
    coupl(nGC_6061) = coupl(nGC_39)*dZuL_QED2
    coupl(nGC_6066) = coupl(nGC_2)*dZcL_QCD2
    coupl(nGC_6069) = coupl(nGC_2)*dZcR_QCD2
    coupl(nGC_6067) = coupl(nGC_2)*dZcL_QED2
    coupl(nGC_6070) = coupl(nGC_2)*dZcR_QED2
    coupl(nGC_6078) = coupl(nGC_35)*dZcR_QED2
    coupl(nGC_6082) = coupl(nGC_39)*dZcL_QED2
    coupl(nGC_6077) = coupl(nGC_35)*dZcR_QCD2
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
