!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2022-02-19 17:49             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl5()
    coupl(nGC_4433) = -cima*dMB_QED2
    coupl(nGC_6631) = coupl(nGC_MB)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_6633) = coupl(nGC_MI)*dZbL_QED2
    coupl(nGC_6635) = coupl(nGC_MI)*dZbR_QED2
    coupl(nGC_6637) = coupl(nGC_4433) + coupl(nGC_6631)
    coupl(nGC_6638) = coupl(nGC_MI)*dZA
    coupl(nGC_6639) = -coupl(nGC_6638)
    coupl(nGC_6640) = coupl(nGC_MI)*dZAZ/2d0
    coupl(nGC_6641) = coupl(nGC_MZ)*dZZA/2d0
    coupl(nGC_6642) = coupl(nGC_MI)*dZZA/2d0
    coupl(nGC_6646) = coupl(nGC_4434) + coupl(nGC_MZ)*dZZ
    coupl(nGC_6645) = coupl(nGC_MI)*dZZ
    coupl(nGC_6647) = -coupl(nGC_6645)
    coupl(nGC_6654) = coupl(nGC_4435) + coupl(nGC_MW)*dZWMinus
    coupl(nGC_6653) = coupl(nGC_MI)*dZWMinus
    coupl(nGC_6655) = -coupl(nGC_6653)
    coupl(nGC_6656) = coupl(nGC_MI)*dZg_QCD2
    coupl(nGC_6657) = -coupl(nGC_6656)
    coupl(nGC_6668) = coupl(nGC_MZ_GF)*dZZA/2d0
    coupl(nGC_8100) = -coupl(nGC_5935)
    coupl(nGC_2604) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 +  &
                      cMD**2d0 + cMS**2d0 + cMU**2d0)/(16d0*pi**2d0)
    coupl(nGC_2605) = cima*sq2**2d0*(3d0*Nc*coupl(nGC_10)**2d0 - 10d0*coupl(   &
                      nGC_11)**2d0)/(192d0*pi**2d0)
    coupl(nGC_2606) = -Nc*cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_2607) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 - &
                      cMD**2d0 - cMS**2d0 - cMU**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_2608) = cima*sq2**2d0*(-3d0*Nc*coupl(nGC_10)**2d0 + 10d0*coupl(  &
                      nGC_11)**2d0)/(192d0*pi**2d0*Nc)
    coupl(nGC_2609) = cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_2610) = cMU*cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_2611) = cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(64d0*pi&
                      **2d0*Nc)
    coupl(nGC_2612) = cMC*cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_2613) = cMD*cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_2614) = cMS*cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_2615) = cMB*cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_2616) = coupl(nGC_11)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_2617) = coupl(nGC_1)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_2618) = coupl(nGC_11)**2d0*sq2**2d0*(3d0*coupl(nGC_34) + 2d0*    &
                      coupl(nGC_35) - 3d0*coupl(nGC_38) - 2d0*coupl(nGC_39))/( &
                      24d0*pi**2d0)
    coupl(nGC_2619) = coupl(nGC_11)**2d0*sq2**2d0*(-3d0*coupl(nGC_34) - 2d0*   &
                      coupl(nGC_35) + 3d0*coupl(nGC_38) + 2d0*coupl(nGC_39))/( &
                      24d0*pi**2d0*Nc)
    coupl(nGC_2620) = coupl(nGC_11)**2d0*coupl(nGC_39)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_2621) = coupl(nGC_11)**2d0*coupl(nGC_35)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_2622) = coupl(nGC_11)**2d0*coupl(nGC_38)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_2623) = coupl(nGC_11)**2d0*coupl(nGC_34)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_2624) = coupl(nGC_11)**2d0*coupl(nGC_23)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_2625) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_55) - cMC*   &
                      coupl(nGC_59) - cMD*coupl(nGC_63) - cMS*coupl(nGC_75) -  &
                      cMU*coupl(nGC_87))/(16d0*pi**2d0)
    coupl(nGC_2626) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_55) + cMC*    &
                      coupl(nGC_59) + cMD*coupl(nGC_63) + cMS*coupl(nGC_75) +  &
                      cMU*coupl(nGC_87))/(16d0*pi**2d0*Nc)
    coupl(nGC_2627) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_10)**3d0 - 40d0*coupl( &
                      nGC_11)**3d0)/(768d0*pi**2d0)
    coupl(nGC_10535) = -coupl(nGC_2627)
    coupl(nGC_2628) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_10)**3d0 + 40d0*coupl(  &
                      nGC_11)**3d0)/(768d0*pi**2d0)
    coupl(nGC_10537) = -coupl(nGC_2628)
    coupl(nGC_2629) = coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10  &
                      ) - coupl(nGC_11))/(64d0*pi**2d0*Nc)
    coupl(nGC_2630) = coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10   &
                      ) + coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
    coupl(nGC_2631) = -coupl(nGC_11)**2d0*coupl(nGC_87)*sq2**2d0*(1d0 - Nc**2d0&
                      )/(16d0*pi**2d0*Nc)
  end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
