!******************************************************************************!
!                                                                              !
!    fill_ctcouplings7.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings7.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2022-02-19 17:49             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings7
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl7()
    coupl(nGC_2678) = (10d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_122) - 3d0*Nc*coupl(nGC_10)**2d0*&
                      coupl(nGC_118)*sq2**2d0 - 21d0*Nc*coupl(nGC_10)**2d0*    &
                      coupl(nGC_12)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0*coupl(&
                      nGC_122)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl(     &
                      nGC_124)*sq2**2d0 - 5d0*cima*coupl(nGC_11)**4d0*sq2**4d0 &
                      )/(384d0*pi**2d0*Nc)
    coupl(nGC_2679) = (-5d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*cima*coupl(&
                      nGC_12)**2d0 + 18d0*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2 &
                      **2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_124)*sq2**2d0)/(&
                      96d0*pi**2d0)
    coupl(nGC_2680) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*coupl(&
                      nGC_122)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_118)*sq2&
                      **2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 +  &
                      18d0*coupl(nGC_10)**2d0*coupl(nGC_122)*sq2**2d0 + 3d0*   &
                      coupl(nGC_10)**2d0*coupl(nGC_124)*sq2**2d0)/(192d0*pi**  &
                      2d0)
    coupl(nGC_2681) = 5d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(192d0*pi**2d0*Nc** &
                      2d0)
    coupl(nGC_2682) = -5d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(64d0*pi**2d0*Nc** &
                      3d0)
    coupl(nGC_4185) = -cima*ee
    coupl(nGC_4195) = 2d0*cima*ee**2d0
    coupl(nGC_4154) = -cima*cw*ee/sw**2d0
    coupl(nGC_4155) = cima*ee/sw
    coupl(nGC_4156) = cima*cw*ee/sw
    coupl(nGC_4172) = 2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_4173) = -2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_4285) = 4d0*cima*cw*ee**2d0/sw
    coupl(nGC_4284) = 2d0*cima*ee**2d0/sw
    coupl(nGC_4283) = -2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_4166) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_4164) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_4165) = 2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_4196) = cima*ee
    coupl(nGC_4175) = cima*ee/(2d0*cMW)
    coupl(nGC_4174) = cMW*cima*ee
    coupl(nGC_4281) = -cMW*ee/(2d0*sw)
    coupl(nGC_4282) = -ee/(4d0*cMW*sw)
    coupl(nGC_4280) = cMW*ee/(2d0*sw**2d0)
    coupl(nGC_4277) = -cima*ee/(4d0*cMW*sw)
    coupl(nGC_4275) = cMW*cima*ee/(2d0*sw**2d0)
    coupl(nGC_4276) = -cMW*cima*ee/(2d0*sw)
    coupl(nGC_4240) = -cMW*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_4241) = -cima*ee*(cw - sw)*(cw + sw)/(4d0*cMW*cw*sw)
    coupl(nGC_4239) = -cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_4238) = cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_4149) = cima*cw*ee/sw**2d0
    coupl(nGC_4150) = -cima*ee/sw
    coupl(nGC_4151) = -cima*cw*ee/sw
    coupl(nGC_4213) = -cMW*ee/(2d0*sw**2d0)
    coupl(nGC_4214) = cMW*ee/(2d0*sw)
    coupl(nGC_4215) = ee/(4d0*cMW*sw)
    coupl(nGC_4203) = cima*ee/(4d0*cMZ*sw)
    coupl(nGC_4201) = -cMZ*cima*ee/(2d0*sw**2d0)
    coupl(nGC_4202) = cMZ*cima*ee/(2d0*sw)
    coupl(nGC_4236) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_4237) = -cima*ee*(cw**2d0 + sw**2d0)/(4d0*cMZ*cw*sw)
    coupl(nGC_4234) = cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_4235) = -cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_4191) = 4d0*cima*ee**2d0
    coupl(nGC_4264) = -ee**2d0/(2d0*sw**2d0)
    coupl(nGC_4265) = ee**2d0/sw
    coupl(nGC_4287) = -cima*ee**2d0/sw
    coupl(nGC_4286) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_4260) = cima*ee**2d0*vev/(2d0*sw**2d0)
  end subroutine fill_CTcouplings_mdl7
end module fill_ctcouplings7
