!******************************************************************************!
!                                                                              !
!    fill_ctcouplings8.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings8.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2022-02-19 17:49             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings8
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl8()
    coupl(nGC_4261) = -cima*ee**2d0*vev/sw
    coupl(nGC_4147) = -ee/(2d0*sw**2d0)
    coupl(nGC_4148) = ee/(2d0*sw)
    coupl(nGC_4161) = cima*ee/(2d0*sw)
    coupl(nGC_4160) = -cima*ee/(2d0*sw**2d0)
    coupl(nGC_4197) = ee**2d0/(2d0*sw**2d0)
    coupl(nGC_4198) = -ee**2d0/sw
    coupl(nGC_4158) = cima*ee/(2d0*sw**2d0)
    coupl(nGC_4159) = -cima*ee/(2d0*sw)
    coupl(nGC_4168) = -cima*ee**2d0/sw**3d0
    coupl(nGC_4169) = cima*ee**2d0/sw**2d0
    coupl(nGC_4257) = -cima*ee**2d0*vev/sw**3d0
    coupl(nGC_4258) = cima*ee**2d0*vev/sw**2d0
    coupl(nGC_4229) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
    coupl(nGC_4228) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
    coupl(nGC_4230) = -2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
    coupl(nGC_4212) = -ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_4210) = ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_4211) = -ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_4226) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_4227) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_4225) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_4184) = ee**2d0/cw
    coupl(nGC_4183) = -ee**2d0/(2d0*cw**2d0)
    coupl(nGC_4194) = -cima*ee**2d0/cw
    coupl(nGC_4193) = cima*ee**2d0/(2d0*cw**2d0)
    coupl(nGC_4247) = -cima*ee**2d0*vev/cw
    coupl(nGC_4246) = cima*ee**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_4186) = ee**2d0/(2d0*cw**2d0)
    coupl(nGC_4187) = -ee**2d0/cw
    coupl(nGC_4250) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_4252) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
    coupl(nGC_4251) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_4243) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_4242) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_4244) = cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw** &
                      2d0)
    coupl(nGC_4274) = cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**  &
                      2d0)
    coupl(nGC_4273) = cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0  &
                      )/(cw**3d0*sw**2d0)
    coupl(nGC_4272) = -cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0 &
                      )/(cw**2d0*sw**3d0)
    coupl(nGC_4200) = -2d0*cima*ee/3d0
    coupl(nGC_4199) = cima*ee/3d0
    coupl(nGC_4152) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
    coupl(nGC_4153) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_4204) = -2d0*cima*ee/(3d0*cw)
    coupl(nGC_4206) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_4205) = 2d0*cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_4222) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_4224) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
    coupl(nGC_4223) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_4217) = -cima*ee*sw/(3d0*cw**2d0)
  end subroutine fill_CTcouplings_mdl8
end module fill_ctcouplings8
