!******************************************************************************!
!                                                                              !
!    fill_ctcouplings9.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings9.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2022-02-19 17:49             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings9
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl9()
    coupl(nGC_4216) = cima*ee/(3d0*cw)
    coupl(nGC_4218) = cima*ee*sw/(3d0*cw)
    coupl(nGC_4221) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
    coupl(nGC_4220) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_4219) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_4232) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_4231) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_4233) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_4208) = -cima*ee*sw/cw**2d0
    coupl(nGC_4207) = cima*ee/cw
    coupl(nGC_4209) = cima*ee*sw/cw
    coupl(nGC_2699) = cima/(2d0*cMW)
    coupl(nGC_2701) = -cima/(2d0*cMW)
    coupl(nGC_2703) = 1d0/(2d0*cMZ)
    coupl(nGC_4341) = cima*dyup_QCD2_QED1
    coupl(nGC_4344) = -cima*dydo_QCD2_QED1
    coupl(nGC_4343) = cima*dyup_QED3
    coupl(nGC_4346) = -cima*dydo_QED3
    coupl(nGC_4347) = cima*dyc_QCD2_QED1
    coupl(nGC_4350) = -cima*dys_QCD2_QED1
    coupl(nGC_4349) = cima*dyc_QED3
    coupl(nGC_4352) = -cima*dys_QED3
    coupl(nGC_4355) = -cima*dyb_QED1
    coupl(nGC_4356) = -cima*dyb_QED3
    coupl(nGC_4354) = -cima*dyb_QCD2_QED1
    coupl(nGC_4359) = coupl(nGC_4253)*dydo_QED3
    coupl(nGC_4362) = coupl(nGC_4267)*dydo_QED3
    coupl(nGC_4365) = coupl(nGC_4177)*dys_QED3
    coupl(nGC_4368) = coupl(nGC_4157)*dys_QED3
    coupl(nGC_4371) = coupl(nGC_4278)*dyb_QED3
    coupl(nGC_4374) = coupl(nGC_4268)*dyb_QED3
    coupl(nGC_4376) = coupl(nGC_4270)*dydo_QED1
    coupl(nGC_4379) = coupl(nGC_4171)*dys_QED1
    coupl(nGC_4382) = coupl(nGC_4266)*dyb_QED1
    coupl(nGC_4398) = coupl(nGC_4189)*dyup_QED3
    coupl(nGC_4401) = coupl(nGC_4188)*dyup_QED3
    coupl(nGC_4404) = coupl(nGC_4269)*dyc_QED3
    coupl(nGC_4407) = coupl(nGC_4263)*dyc_QED3
    coupl(nGC_4411) = coupl(nGC_4190)*dyup_QED1
    coupl(nGC_4414) = coupl(nGC_4262)*dyc_QED1
    coupl(nGC_4289) = coupl(nGC_4182)*dZgs_QCD2
    coupl(nGC_4290) = coupl(nGC_4179)*dZgs_QCD2
    coupl(nGC_4291) = coupl(nGC_4185)*dZee
    coupl(nGC_4292) = coupl(nGC_4195)*dZee
    coupl(nGC_4293) = coupl(nGC_4154)*dsw_ + coupl(nGC_4155)*dcw_ + coupl(     &
                      nGC_4156)*dZee
    coupl(nGC_4294) = coupl(nGC_4172)*dsw_ + coupl(nGC_4173)*dZee
    coupl(nGC_4295) = coupl(nGC_4283)*dsw_ + coupl(nGC_4284)*dcw_ + coupl(     &
                      nGC_4285)*dZee
    coupl(nGC_4296) = coupl(nGC_4164)*dsw_ + coupl(nGC_4165)*dcw_ + coupl(     &
                      nGC_4166)*dZee
    coupl(nGC_4297) = coupl(nGC_4196)*dZee
    coupl(nGC_4298) = coupl(nGC_4174)*dZee + coupl(nGC_4175)*dMW2
  end subroutine fill_CTcouplings_mdl9
end module fill_ctcouplings9
