!******************************************************************************!
!                                                                              !
!    currents_info1.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info1.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2022-02-19 17:49             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info1
  implicit none
  contains
  subroutine fill_current_1(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_g, P_g, P_g, 0, check)
    call createCurrent(P_g, P_g, P_g, P_g, 1, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, 2, check)
    call createCurrent(P_A, P_A, P_WPlus, P_WMinus, 3, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, 4, check)
    call createCurrent(P_WPlus, P_WPlus, P_WMinus, P_WMinus, 5, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_Z, 6, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_Z, 7, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_WPlus, 8, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WMinus, 9, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GMinus, 10, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_WMinus, 11, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_G0, 12, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_H, 13, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, 14, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, 15, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, 16, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_WMinus, 17, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, 18, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_WPlus, 19, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_G0, 20, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_H, 21, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_A, 22, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Z, 23, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_GPlus, 24, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WPlus, 25, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, 26, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, 27, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_GMinus, 28, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, 29, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_H, 30, check)
    call createCurrent(P_ghGAnti, P_ghG, P_g, 31, check)
    call createCurrent(P_G0, P_G0, P_G0, P_G0, 32, check)
    call createCurrent(P_G0, P_G0, P_GPlus, P_GMinus, 33, check)
    call createCurrent(P_GPlus, P_GPlus, P_GMinus, P_GMinus, 34, check)
    call createCurrent(P_G0, P_G0, P_H, P_H, 35, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, P_H, 36, check)
    call createCurrent(P_H, P_H, P_H, P_H, 37, check)
    call createCurrent(P_G0, P_G0, P_H, 38, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, 39, check)
    call createCurrent(P_H, P_H, P_H, 40, check)
    call createCurrent(P_A, P_A, P_GPlus, P_GMinus, 41, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, 42, check)
    call createCurrent(P_A, P_WPlus, P_G0, P_GMinus, 43, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_H, 44, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, 45, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, 46, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, 47, check)
    call createCurrent(P_A, P_WMinus, P_G0, P_GPlus, 48, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_H, 49, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, 50, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, 51, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, 52, check)
    call createCurrent(P_WPlus, P_WMinus, P_G0, P_G0, 53, check)
    call createCurrent(P_WPlus, P_WMinus, P_GPlus, P_GMinus, 54, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, P_H, 55, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, 56, check)
    call createCurrent(P_A, P_Z, P_GPlus, P_GMinus, 57, check)
    call createCurrent(P_Z, P_G0, P_H, 58, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, 59, check)
    call createCurrent(P_WPlus, P_Z, P_G0, P_GMinus, 60, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_H, 61, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, 62, check)
    call createCurrent(P_WMinus, P_Z, P_G0, P_GPlus, 63, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_H, 64, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, 65, check)
    call createCurrent(P_Z, P_Z, P_G0, P_G0, 66, check)
    call createCurrent(P_Z, P_Z, P_GPlus, P_GMinus, 67, check)
    call createCurrent(P_Z, P_Z, P_H, P_H, 68, check)
    call createCurrent(P_Z, P_Z, P_H, 69, check)
    call createCurrent(P_eMinus, P_ePlus, P_A, 70, check)
    call createCurrent(P_muMinus, P_muPlus, P_A, 71, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_A, 72, check)
    call createCurrent(P_u, P_uAnti, P_A, 73, check)
    call createCurrent(P_c, P_cAnti, P_A, 74, check)
    call createCurrent(P_t, P_tAnti, P_A, 75, check)
    call createCurrent(P_d, P_dAnti, P_A, 76, check)
    call createCurrent(P_s, P_sAnti, P_A, 77, check)
    call createCurrent(P_b, P_bAnti, P_A, 78, check)
    call createCurrent(P_u, P_uAnti, P_g, 79, check)
    call createCurrent(P_c, P_cAnti, P_g, 80, check)
    call createCurrent(P_d, P_dAnti, P_g, 81, check)
    call createCurrent(P_s, P_sAnti, P_g, 82, check)
    call createCurrent(P_b, P_bAnti, P_g, 83, check)
    call createCurrent(P_d, P_uAnti, P_WPlus, 84, check)
    call createCurrent(P_s, P_cAnti, P_WPlus, 85, check)
    call createCurrent(P_b, P_tAnti, P_WPlus, 86, check)
    call createCurrent(P_u, P_dAnti, P_WMinus, 87, check)
    call createCurrent(P_c, P_sAnti, P_WMinus, 88, check)
    call createCurrent(P_t, P_bAnti, P_WMinus, 89, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_WPlus, 90, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_WPlus, 91, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_WPlus, 92, check)
    call createCurrent(P_nu_e, P_ePlus, P_WMinus, 93, check)
    call createCurrent(P_nu_mu, P_muPlus, P_WMinus, 94, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_WMinus, 95, check)
    call createCurrent(P_u, P_uAnti, P_Z, 96, check)
    call createCurrent(P_c, P_cAnti, P_Z, 97, check)
    call createCurrent(P_t, P_tAnti, P_Z, 98, check)
    call createCurrent(P_d, P_dAnti, P_Z, 99, check)
    call createCurrent(P_s, P_sAnti, P_Z, 100, check)
    call createCurrent(P_b, P_bAnti, P_Z, 101, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_Z, 102, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_Z, 103, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_Z, 104, check)
    call createCurrent(P_eMinus, P_ePlus, P_Z, 105, check)
    call createCurrent(P_muMinus, P_muPlus, P_Z, 106, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_Z, 107, check)
    call createCurrent(P_u, P_dAnti, P_GMinus, 108, check)
    call createCurrent(P_c, P_sAnti, P_GMinus, 109, check)
    call createCurrent(P_t, P_bAnti, P_GMinus, 110, check)
    call createCurrent(P_d, P_dAnti, P_G0, 111, check)
    call createCurrent(P_s, P_sAnti, P_G0, 112, check)
    call createCurrent(P_b, P_bAnti, P_G0, 113, check)
    call createCurrent(P_d, P_dAnti, P_H, 114, check)
    call createCurrent(P_s, P_sAnti, P_H, 115, check)
    call createCurrent(P_b, P_bAnti, P_H, 116, check)
    call createCurrent(P_nu_e, P_ePlus, P_GMinus, 117, check)
    call createCurrent(P_nu_mu, P_muPlus, P_GMinus, 118, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_GMinus, 119, check)
    call createCurrent(P_eMinus, P_ePlus, P_G0, 120, check)
    call createCurrent(P_muMinus, P_muPlus, P_G0, 121, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_G0, 122, check)
    call createCurrent(P_eMinus, P_ePlus, P_H, 123, check)
    call createCurrent(P_muMinus, P_muPlus, P_H, 124, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_H, 125, check)
    call createCurrent(P_d, P_uAnti, P_GPlus, 126, check)
    call createCurrent(P_s, P_cAnti, P_GPlus, 127, check)
    call createCurrent(P_b, P_tAnti, P_GPlus, 128, check)
    call createCurrent(P_u, P_uAnti, P_G0, 129, check)
    call createCurrent(P_c, P_cAnti, P_G0, 130, check)
    call createCurrent(P_t, P_tAnti, P_G0, 131, check)
    call createCurrent(P_u, P_uAnti, P_H, 132, check)
    call createCurrent(P_c, P_cAnti, P_H, 133, check)
    call createCurrent(P_t, P_tAnti, P_H, 134, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_GPlus, 135, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_GPlus, 136, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_GPlus, 137, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, 138, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, 139, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, 140, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, 141, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, 142, check)
    call createCurrent(P_WMinus, P_A, P_A, P_WPlus, 143, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_A, 144, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_A, 145, check)
    call createCurrent(P_A, P_WMinus, P_A, P_WPlus, 146, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_A, 147, check)
    call createCurrent(P_A, P_A, P_WMinus, P_WPlus, 148, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_A, 149, check)
    call createCurrent(P_A, P_WPlus, P_A, P_WMinus, 150, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_A, 151, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_A, 152, check)
    call createCurrent(P_WPlus, P_A, P_A, P_WMinus, 153, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, 154, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, 155, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, 156, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, 157, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, 158, check)
    call createCurrent(P_WMinus, P_WMinus, P_WPlus, P_WPlus, 159, check)
    call createCurrent(P_WMinus, P_WPlus, P_WMinus, P_WPlus, 160, check)
    call createCurrent(P_WMinus, P_WPlus, P_WPlus, P_WMinus, 161, check)
    call createCurrent(P_WPlus, P_WMinus, P_WMinus, P_WPlus, 162, check)
    call createCurrent(P_WPlus, P_WMinus, P_WPlus, P_WMinus, 163, check)
    call createCurrent(P_Z, P_WMinus, P_A, P_WPlus, 164, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_A, 165, check)
    call createCurrent(P_Z, P_A, P_WMinus, P_WPlus, 166, check)
    call createCurrent(P_Z, P_A, P_WPlus, P_WMinus, 167, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_A, 168, check)
    call createCurrent(P_Z, P_WPlus, P_A, P_WMinus, 169, check)
    call createCurrent(P_WMinus, P_Z, P_A, P_WPlus, 170, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_A, 171, check)
    call createCurrent(P_WMinus, P_A, P_Z, P_WPlus, 172, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_Z, 173, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_Z, 174, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_A, 175, check)
    call createCurrent(P_A, P_Z, P_WMinus, P_WPlus, 176, check)
    call createCurrent(P_A, P_Z, P_WPlus, P_WMinus, 177, check)
    call createCurrent(P_A, P_WMinus, P_Z, P_WPlus, 178, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_Z, 179, check)
    call createCurrent(P_A, P_WPlus, P_Z, P_WMinus, 180, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_Z, 181, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_A, 182, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_A, 183, check)
    call createCurrent(P_WPlus, P_Z, P_A, P_WMinus, 184, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_Z, 185, check)
    call createCurrent(P_WPlus, P_A, P_Z, P_WMinus, 186, check)
    call createCurrent(P_Z, P_Z, P_WMinus, P_WPlus, 187, check)
    call createCurrent(P_Z, P_Z, P_WPlus, P_WMinus, 188, check)
    call createCurrent(P_Z, P_WMinus, P_Z, P_WPlus, 189, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_Z, 190, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_Z, 191, check)
    call createCurrent(P_Z, P_WPlus, P_Z, P_WMinus, 192, check)
    call createCurrent(P_WMinus, P_Z, P_Z, P_WPlus, 193, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_Z, 194, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_Z, 195, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_Z, 196, check)
    call createCurrent(P_WPlus, P_Z, P_Z, P_WMinus, 197, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghAAnti, 198, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_ghWm, 199, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, 200, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, 201, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghWm, 202, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_ghWp, 203, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, 204, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghWp, 205, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghAAnti, 206, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, 207, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, 208, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_GMinus, 209, check)
    call createCurrent(P_GMinus, P_ghA, P_ghWmAnti, 210, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, 211, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, 212, check)
    call createCurrent(P_ghA, P_WMinus, P_ghWmAnti, 213, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WMinus, 214, check)
    call createCurrent(P_WMinus, P_ghA, P_ghWmAnti, 215, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghA, 216, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghA, 217, check)
    call createCurrent(P_G0, P_ghWm, P_ghWmAnti, 218, check)
    call createCurrent(P_G0, P_ghWmAnti, P_ghWm, 219, check)
    call createCurrent(P_ghWm, P_G0, P_ghWmAnti, 220, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_G0, 221, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghWm, 222, check)
    call createCurrent(P_H, P_ghWm, P_ghWmAnti, 223, check)
    call createCurrent(P_H, P_ghWmAnti, P_ghWm, 224, check)
    call createCurrent(P_ghWm, P_H, P_ghWmAnti, 225, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_H, 226, check)
    call createCurrent(P_ghWmAnti, P_H, P_ghWm, 227, check)
    call createCurrent(P_A, P_ghWm, P_ghWmAnti, 228, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghWm, 229, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, 230, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, 231, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, 232, check)
    call createCurrent(P_ghWm, P_Z, P_ghWmAnti, 233, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Z, 234, check)
    call createCurrent(P_Z, P_ghWm, P_ghWmAnti, 235, check)
    call createCurrent(P_Z, P_ghWmAnti, P_ghWm, 236, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghWm, 237, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, 238, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GMinus, 239, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, 240, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghZ, 241, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, 242, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghWmAnti, 243, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_WMinus, 244, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghWmAnti, 245, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghZ, 246, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghZ, 247, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghA, 248, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghA, 249, check)
    call createCurrent(P_GPlus, P_ghA, P_ghWpAnti, 250, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GPlus, 251, check)
    call createCurrent(P_ghA, P_GPlus, P_ghWpAnti, 252, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghA, 253, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghA, 254, check)
    call createCurrent(P_WPlus, P_ghA, P_ghWpAnti, 255, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_WPlus, 256, check)
    call createCurrent(P_ghA, P_WPlus, P_ghWpAnti, 257, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghWp, 258, check)
    call createCurrent(P_G0, P_ghWpAnti, P_ghWp, 259, check)
    call createCurrent(P_G0, P_ghWp, P_ghWpAnti, 260, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_G0, 261, check)
    call createCurrent(P_ghWp, P_G0, P_ghWpAnti, 262, check)
    call createCurrent(P_H, P_ghWpAnti, P_ghWp, 263, check)
    call createCurrent(P_H, P_ghWp, P_ghWpAnti, 264, check)
    call createCurrent(P_ghWpAnti, P_H, P_ghWp, 265, check)
    call createCurrent(P_ghWp, P_H, P_ghWpAnti, 266, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_H, 267, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghWp, 268, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghWp, 269, check)
    call createCurrent(P_A, P_ghWp, P_ghWpAnti, 270, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_A, 271, check)
    call createCurrent(P_ghWp, P_A, P_ghWpAnti, 272, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghWp, 273, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghWp, 274, check)
    call createCurrent(P_Z, P_ghWp, P_ghWpAnti, 275, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Z, 276, check)
    call createCurrent(P_ghWp, P_Z, P_ghWpAnti, 277, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, 278, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, 279, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, 280, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghWpAnti, 281, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, 282, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_WPlus, 283, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghWpAnti, 284, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghZ, 285, check)
    call createCurrent(P_WPlus, P_ghZ, P_ghWpAnti, 286, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghZ, 287, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghWm, 288, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, 289, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghZAnti, 290, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghWm, 291, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghZAnti, 292, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, 293, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_WPlus, 294, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, 295, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_ghWm, 296, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghZAnti, 297, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghWp, 298, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghZAnti, 299, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, 300, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, 301, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, 302, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_ghWp, 303, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghZAnti, 304, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghWp, 305, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, 306, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_WMinus, 307, check)
    call createCurrent(P_ghZ, P_H, P_ghZAnti, 308, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_H, 309, check)
    call createCurrent(P_H, P_ghZ, P_ghZAnti, 310, check)
    call createCurrent(P_H, P_ghZAnti, P_ghZ, 311, check)
    call createCurrent(P_ghZAnti, P_H, P_ghZ, 312, check)
    call createCurrent(P_g, P_ghG, P_ghGAnti, 313, check)
    call createCurrent(P_g, P_ghGAnti, P_ghG, 314, check)
    call createCurrent(P_ghG, P_g, P_ghGAnti, 315, check)
    call createCurrent(P_ghG, P_ghGAnti, P_g, 316, check)
    call createCurrent(P_ghGAnti, P_g, P_ghG, 317, check)
    call createCurrent(P_GMinus, P_G0, P_G0, P_GPlus, 318, check)
    call createCurrent(P_GMinus, P_G0, P_GPlus, P_G0, 319, check)
    call createCurrent(P_GMinus, P_GPlus, P_G0, P_G0, 320, check)
    call createCurrent(P_G0, P_GMinus, P_G0, P_GPlus, 321, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, P_G0, 322, check)
    call createCurrent(P_G0, P_G0, P_GMinus, P_GPlus, 323, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_G0, 324, check)
    call createCurrent(P_G0, P_GPlus, P_G0, P_GMinus, 325, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, P_G0, 326, check)
    call createCurrent(P_GPlus, P_G0, P_GMinus, P_G0, 327, check)
    call createCurrent(P_GPlus, P_G0, P_G0, P_GMinus, 328, check)
    call createCurrent(P_GMinus, P_GMinus, P_GPlus, P_GPlus, 329, check)
    call createCurrent(P_GMinus, P_GPlus, P_GMinus, P_GPlus, 330, check)
    call createCurrent(P_GMinus, P_GPlus, P_GPlus, P_GMinus, 331, check)
    call createCurrent(P_GPlus, P_GMinus, P_GMinus, P_GPlus, 332, check)
    call createCurrent(P_GPlus, P_GMinus, P_GPlus, P_GMinus, 333, check)
    call createCurrent(P_H, P_H, P_G0, P_G0, 334, check)
    call createCurrent(P_H, P_G0, P_H, P_G0, 335, check)
    call createCurrent(P_H, P_G0, P_G0, P_H, 336, check)
    call createCurrent(P_G0, P_H, P_H, P_G0, 337, check)
    call createCurrent(P_G0, P_H, P_G0, P_H, 338, check)
    call createCurrent(P_H, P_H, P_GMinus, P_GPlus, 339, check)
    call createCurrent(P_H, P_H, P_GPlus, P_GMinus, 340, check)
    call createCurrent(P_H, P_GMinus, P_H, P_GPlus, 341, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, P_H, 342, check)
    call createCurrent(P_H, P_GPlus, P_H, P_GMinus, 343, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, P_H, 344, check)
    call createCurrent(P_GMinus, P_H, P_H, P_GPlus, 345, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, P_H, 346, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, P_H, 347, check)
    call createCurrent(P_GPlus, P_H, P_H, P_GMinus, 348, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, P_H, 349, check)
    call createCurrent(P_H, P_G0, P_G0, 350, check)
    call createCurrent(P_G0, P_H, P_G0, 351, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, 352, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, 353, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, 354, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, 355, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, 356, check)
    call createCurrent(P_GMinus, P_A, P_A, P_GPlus, 357, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_A, 358, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_A, 359, check)
    call createCurrent(P_A, P_GMinus, P_A, P_GPlus, 360, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_A, 361, check)
    call createCurrent(P_A, P_A, P_GMinus, P_GPlus, 362, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_A, 363, check)
    call createCurrent(P_A, P_GPlus, P_A, P_GMinus, 364, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_A, 365, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_A, 366, check)
    call createCurrent(P_GPlus, P_A, P_A, P_GMinus, 367, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, 368, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, 369, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, 370, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, 371, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, 372, check)
    call createCurrent(P_G0, P_GMinus, P_A, P_WPlus, 373, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_A, 374, check)
    call createCurrent(P_G0, P_A, P_GMinus, P_WPlus, 375, check)
    call createCurrent(P_G0, P_A, P_WPlus, P_GMinus, 376, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_A, 377, check)
    call createCurrent(P_G0, P_WPlus, P_A, P_GMinus, 378, check)
    call createCurrent(P_GMinus, P_G0, P_A, P_WPlus, 379, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_A, 380, check)
    call createCurrent(P_GMinus, P_A, P_G0, P_WPlus, 381, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_G0, 382, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_A, 383, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_G0, 384, check)
    call createCurrent(P_A, P_GMinus, P_G0, P_WPlus, 385, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_G0, 386, check)
    call createCurrent(P_A, P_G0, P_GMinus, P_WPlus, 387, check)
    call createCurrent(P_A, P_G0, P_WPlus, P_GMinus, 388, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_G0, 389, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_A, 390, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_G0, 391, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_A, 392, check)
    call createCurrent(P_WPlus, P_G0, P_A, P_GMinus, 393, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_G0, 394, check)
    call createCurrent(P_WPlus, P_A, P_G0, P_GMinus, 395, check)
    call createCurrent(P_H, P_GMinus, P_A, P_WPlus, 396, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_A, 397, check)
    call createCurrent(P_H, P_A, P_GMinus, P_WPlus, 398, check)
    call createCurrent(P_H, P_A, P_WPlus, P_GMinus, 399, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, P_A, 400, check)
    call createCurrent(P_H, P_WPlus, P_A, P_GMinus, 401, check)
    call createCurrent(P_GMinus, P_H, P_A, P_WPlus, 402, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_A, 403, check)
    call createCurrent(P_GMinus, P_A, P_H, P_WPlus, 404, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_H, 405, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_A, 406, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_H, 407, check)
    call createCurrent(P_A, P_H, P_GMinus, P_WPlus, 408, check)
    call createCurrent(P_A, P_H, P_WPlus, P_GMinus, 409, check)
    call createCurrent(P_A, P_GMinus, P_H, P_WPlus, 410, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_H, 411, check)
    call createCurrent(P_A, P_WPlus, P_H, P_GMinus, 412, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_A, 413, check)
    call createCurrent(P_WPlus, P_H, P_A, P_GMinus, 414, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_A, 415, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_H, 416, check)
    call createCurrent(P_WPlus, P_A, P_H, P_GMinus, 417, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_H, 418, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, 419, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, 420, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, 421, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, 422, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, 423, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, 424, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, 425, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, 426, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, 427, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, 428, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, 429, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, 430, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, 431, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, 432, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, 433, check)
    call createCurrent(P_G0, P_WMinus, P_A, P_GPlus, 434, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_A, 435, check)
    call createCurrent(P_G0, P_A, P_WMinus, P_GPlus, 436, check)
    call createCurrent(P_G0, P_A, P_GPlus, P_WMinus, 437, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_A, 438, check)
    call createCurrent(P_G0, P_GPlus, P_A, P_WMinus, 439, check)
    call createCurrent(P_WMinus, P_G0, P_A, P_GPlus, 440, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_A, 441, check)
    call createCurrent(P_WMinus, P_A, P_G0, P_GPlus, 442, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_G0, 443, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_A, 444, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_G0, 445, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_G0, 446, check)
    call createCurrent(P_A, P_G0, P_WMinus, P_GPlus, 447, check)
    call createCurrent(P_A, P_G0, P_GPlus, P_WMinus, 448, check)
    call createCurrent(P_A, P_GPlus, P_G0, P_WMinus, 449, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_G0, 450, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_A, 451, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_G0, 452, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_A, 453, check)
    call createCurrent(P_GPlus, P_G0, P_A, P_WMinus, 454, check)
    call createCurrent(P_GPlus, P_A, P_G0, P_WMinus, 455, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_G0, 456, check)
    call createCurrent(P_H, P_WMinus, P_A, P_GPlus, 457, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, P_A, 458, check)
    call createCurrent(P_H, P_A, P_WMinus, P_GPlus, 459, check)
    call createCurrent(P_H, P_A, P_GPlus, P_WMinus, 460, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_A, 461, check)
    call createCurrent(P_H, P_GPlus, P_A, P_WMinus, 462, check)
    call createCurrent(P_WMinus, P_H, P_A, P_GPlus, 463, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_A, 464, check)
    call createCurrent(P_WMinus, P_A, P_H, P_GPlus, 465, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_H, 466, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_A, 467, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_H, 468, check)
    call createCurrent(P_A, P_H, P_WMinus, P_GPlus, 469, check)
    call createCurrent(P_A, P_H, P_GPlus, P_WMinus, 470, check)
    call createCurrent(P_A, P_WMinus, P_H, P_GPlus, 471, check)
    call createCurrent(P_A, P_GPlus, P_H, P_WMinus, 472, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_H, 473, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_A, 474, check)
    call createCurrent(P_GPlus, P_H, P_A, P_WMinus, 475, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_A, 476, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_H, 477, check)
    call createCurrent(P_GPlus, P_A, P_H, P_WMinus, 478, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_H, 479, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, 480, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, 481, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, 482, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, 483, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, 484, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, 485, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, 486, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, 487, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, 488, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, 489, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, 490, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, 491, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, 492, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, 493, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, 494, check)
    call createCurrent(P_G0, P_G0, P_WMinus, P_WPlus, 495, check)
    call createCurrent(P_G0, P_G0, P_WPlus, P_WMinus, 496, check)
    call createCurrent(P_G0, P_WMinus, P_G0, P_WPlus, 497, check)
    call createCurrent(P_G0, P_WMinus, P_WPlus, P_G0, 498, check)
    call createCurrent(P_G0, P_WPlus, P_WMinus, P_G0, 499, check)
    call createCurrent(P_G0, P_WPlus, P_G0, P_WMinus, 500, check)
    call createCurrent(P_WMinus, P_G0, P_G0, P_WPlus, 501, check)
    call createCurrent(P_WMinus, P_G0, P_WPlus, P_G0, 502, check)
    call createCurrent(P_WMinus, P_WPlus, P_G0, P_G0, 503, check)
    call createCurrent(P_WPlus, P_G0, P_WMinus, P_G0, 504, check)
    call createCurrent(P_WPlus, P_G0, P_G0, P_WMinus, 505, check)
    call createCurrent(P_GMinus, P_WMinus, P_WPlus, P_GPlus, 506, check)
    call createCurrent(P_GMinus, P_WMinus, P_GPlus, P_WPlus, 507, check)
    call createCurrent(P_GMinus, P_WPlus, P_WMinus, P_GPlus, 508, check)
    call createCurrent(P_GMinus, P_WPlus, P_GPlus, P_WMinus, 509, check)
    call createCurrent(P_GMinus, P_GPlus, P_WMinus, P_WPlus, 510, check)
    call createCurrent(P_GMinus, P_GPlus, P_WPlus, P_WMinus, 511, check)
    call createCurrent(P_WMinus, P_GMinus, P_WPlus, P_GPlus, 512, check)
    call createCurrent(P_WMinus, P_GMinus, P_GPlus, P_WPlus, 513, check)
    call createCurrent(P_WMinus, P_WPlus, P_GMinus, P_GPlus, 514, check)
    call createCurrent(P_WMinus, P_WPlus, P_GPlus, P_GMinus, 515, check)
    call createCurrent(P_WMinus, P_GPlus, P_GMinus, P_WPlus, 516, check)
    call createCurrent(P_WMinus, P_GPlus, P_WPlus, P_GMinus, 517, check)
    call createCurrent(P_WPlus, P_GMinus, P_WMinus, P_GPlus, 518, check)
    call createCurrent(P_WPlus, P_GMinus, P_GPlus, P_WMinus, 519, check)
    call createCurrent(P_WPlus, P_WMinus, P_GMinus, P_GPlus, 520, check)
    call createCurrent(P_WPlus, P_GPlus, P_GMinus, P_WMinus, 521, check)
    call createCurrent(P_WPlus, P_GPlus, P_WMinus, P_GMinus, 522, check)
    call createCurrent(P_GPlus, P_GMinus, P_WMinus, P_WPlus, 523, check)
    call createCurrent(P_GPlus, P_GMinus, P_WPlus, P_WMinus, 524, check)
    call createCurrent(P_GPlus, P_WMinus, P_GMinus, P_WPlus, 525, check)
    call createCurrent(P_GPlus, P_WMinus, P_WPlus, P_GMinus, 526, check)
    call createCurrent(P_GPlus, P_WPlus, P_GMinus, P_WMinus, 527, check)
    call createCurrent(P_GPlus, P_WPlus, P_WMinus, P_GMinus, 528, check)
    call createCurrent(P_H, P_H, P_WMinus, P_WPlus, 529, check)
    call createCurrent(P_H, P_H, P_WPlus, P_WMinus, 530, check)
    call createCurrent(P_H, P_WMinus, P_H, P_WPlus, 531, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, P_H, 532, check)
    call createCurrent(P_H, P_WPlus, P_H, P_WMinus, 533, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, P_H, 534, check)
    call createCurrent(P_WMinus, P_H, P_H, P_WPlus, 535, check)
    call createCurrent(P_WMinus, P_H, P_WPlus, P_H, 536, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, P_H, 537, check)
    call createCurrent(P_WPlus, P_H, P_H, P_WMinus, 538, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, P_H, 539, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, 540, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, 541, check)
    call createCurrent(P_WMinus, P_H, P_WPlus, 542, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, 543, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, 544, check)
    call createCurrent(P_GMinus, P_A, P_Z, P_GPlus, 545, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_Z, 546, check)
    call createCurrent(P_GMinus, P_Z, P_A, P_GPlus, 547, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_A, 548, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_Z, 549, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_A, 550, check)
    call createCurrent(P_A, P_GMinus, P_Z, P_GPlus, 551, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_Z, 552, check)
    call createCurrent(P_A, P_Z, P_GMinus, P_GPlus, 553, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_Z, 554, check)
    call createCurrent(P_A, P_GPlus, P_Z, P_GMinus, 555, check)
    call createCurrent(P_Z, P_GMinus, P_A, P_GPlus, 556, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_A, 557, check)
    call createCurrent(P_Z, P_A, P_GMinus, P_GPlus, 558, check)
    call createCurrent(P_Z, P_A, P_GPlus, P_GMinus, 559, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_A, 560, check)
    call createCurrent(P_Z, P_GPlus, P_A, P_GMinus, 561, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_Z, 562, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_A, 563, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_Z, 564, check)
    call createCurrent(P_GPlus, P_A, P_Z, P_GMinus, 565, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_A, 566, check)
    call createCurrent(P_GPlus, P_Z, P_A, P_GMinus, 567, check)
    call createCurrent(P_H, P_G0, P_Z, 568, check)
    call createCurrent(P_H, P_Z, P_G0, 569, check)
    call createCurrent(P_G0, P_H, P_Z, 570, check)
    call createCurrent(P_G0, P_Z, P_H, 571, check)
    call createCurrent(P_Z, P_H, P_G0, 572, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, 573, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, 574, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, 575, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, 576, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, 577, check)
    call createCurrent(P_Z, P_GMinus, P_G0, P_WPlus, 578, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_G0, 579, check)
    call createCurrent(P_Z, P_G0, P_GMinus, P_WPlus, 580, check)
    call createCurrent(P_Z, P_G0, P_WPlus, P_GMinus, 581, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_G0, 582, check)
    call createCurrent(P_Z, P_WPlus, P_G0, P_GMinus, 583, check)
    call createCurrent(P_G0, P_GMinus, P_Z, P_WPlus, 584, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_Z, 585, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_Z, 586, check)
    call createCurrent(P_G0, P_WPlus, P_Z, P_GMinus, 587, check)
    call createCurrent(P_G0, P_Z, P_GMinus, P_WPlus, 588, check)
    call createCurrent(P_G0, P_Z, P_WPlus, P_GMinus, 589, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_Z, 590, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_G0, 591, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_Z, 592, check)
    call createCurrent(P_WPlus, P_G0, P_Z, P_GMinus, 593, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_G0, 594, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_Z, 595, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_G0, 596, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_Z, 597, check)
    call createCurrent(P_GMinus, P_G0, P_Z, P_WPlus, 598, check)
    call createCurrent(P_GMinus, P_Z, P_G0, P_WPlus, 599, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_G0, 600, check)
    call createCurrent(P_H, P_Z, P_GMinus, P_WPlus, 601, check)
    call createCurrent(P_H, P_Z, P_WPlus, P_GMinus, 602, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, P_Z, 603, check)
    call createCurrent(P_H, P_WPlus, P_Z, P_GMinus, 604, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_Z, 605, check)
    call createCurrent(P_H, P_GMinus, P_Z, P_WPlus, 606, check)
    call createCurrent(P_Z, P_H, P_GMinus, P_WPlus, 607, check)
    call createCurrent(P_Z, P_H, P_WPlus, P_GMinus, 608, check)
    call createCurrent(P_Z, P_GMinus, P_H, P_WPlus, 609, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_H, 610, check)
    call createCurrent(P_Z, P_WPlus, P_H, P_GMinus, 611, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_H, 612, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_Z, 613, check)
    call createCurrent(P_WPlus, P_H, P_Z, P_GMinus, 614, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_Z, 615, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_H, 616, check)
    call createCurrent(P_WPlus, P_Z, P_H, P_GMinus, 617, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_Z, 618, check)
    call createCurrent(P_GMinus, P_H, P_Z, P_WPlus, 619, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_Z, 620, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_H, 621, check)
    call createCurrent(P_GMinus, P_Z, P_H, P_WPlus, 622, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_H, 623, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, 624, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, 625, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, 626, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, 627, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, 628, check)
    call createCurrent(P_G0, P_WMinus, P_Z, P_GPlus, 629, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_Z, 630, check)
    call createCurrent(P_G0, P_Z, P_WMinus, P_GPlus, 631, check)
    call createCurrent(P_G0, P_Z, P_GPlus, P_WMinus, 632, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_Z, 633, check)
    call createCurrent(P_G0, P_GPlus, P_Z, P_WMinus, 634, check)
    call createCurrent(P_WMinus, P_G0, P_Z, P_GPlus, 635, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_Z, 636, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_G0, 637, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_Z, 638, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_G0, 639, check)
    call createCurrent(P_Z, P_WMinus, P_G0, P_GPlus, 640, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_G0, 641, check)
    call createCurrent(P_Z, P_G0, P_WMinus, P_GPlus, 642, check)
    call createCurrent(P_Z, P_G0, P_GPlus, P_WMinus, 643, check)
    call createCurrent(P_Z, P_GPlus, P_G0, P_WMinus, 644, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_G0, 645, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_Z, 646, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_G0, 647, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_Z, 648, check)
    call createCurrent(P_GPlus, P_G0, P_Z, P_WMinus, 649, check)
    call createCurrent(P_GPlus, P_Z, P_G0, P_WMinus, 650, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_G0, 651, check)
    call createCurrent(P_H, P_WMinus, P_Z, P_GPlus, 652, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, P_Z, 653, check)
    call createCurrent(P_H, P_Z, P_WMinus, P_GPlus, 654, check)
    call createCurrent(P_H, P_Z, P_GPlus, P_WMinus, 655, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_Z, 656, check)
    call createCurrent(P_H, P_GPlus, P_Z, P_WMinus, 657, check)
    call createCurrent(P_WMinus, P_H, P_Z, P_GPlus, 658, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_Z, 659, check)
    call createCurrent(P_WMinus, P_Z, P_H, P_GPlus, 660, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_Z, 661, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_H, 662, check)
    call createCurrent(P_Z, P_H, P_WMinus, P_GPlus, 663, check)
    call createCurrent(P_Z, P_H, P_GPlus, P_WMinus, 664, check)
    call createCurrent(P_Z, P_WMinus, P_H, P_GPlus, 665, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_H, 666, check)
    call createCurrent(P_Z, P_GPlus, P_H, P_WMinus, 667, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_H, 668, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_Z, 669, check)
    call createCurrent(P_GPlus, P_H, P_Z, P_WMinus, 670, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_Z, 671, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_H, 672, check)
    call createCurrent(P_GPlus, P_Z, P_H, P_WMinus, 673, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_H, 674, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, 675, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, 676, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, 677, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, 678, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, 679, check)
    call createCurrent(P_G0, P_G0, P_Z, P_Z, 680, check)
    call createCurrent(P_G0, P_Z, P_G0, P_Z, 681, check)
    call createCurrent(P_G0, P_Z, P_Z, P_G0, 682, check)
    call createCurrent(P_Z, P_G0, P_G0, P_Z, 683, check)
    call createCurrent(P_Z, P_G0, P_Z, P_G0, 684, check)
    call createCurrent(P_GMinus, P_Z, P_Z, P_GPlus, 685, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_Z, 686, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_Z, 687, check)
    call createCurrent(P_Z, P_GMinus, P_Z, P_GPlus, 688, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_Z, 689, check)
    call createCurrent(P_Z, P_Z, P_GMinus, P_GPlus, 690, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_Z, 691, check)
    call createCurrent(P_Z, P_GPlus, P_Z, P_GMinus, 692, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_Z, 693, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_Z, 694, check)
    call createCurrent(P_GPlus, P_Z, P_Z, P_GMinus, 695, check)
    call createCurrent(P_H, P_H, P_Z, P_Z, 696, check)
    call createCurrent(P_H, P_Z, P_H, P_Z, 697, check)
    call createCurrent(P_H, P_Z, P_Z, P_H, 698, check)
    call createCurrent(P_Z, P_H, P_H, P_Z, 699, check)
    call createCurrent(P_Z, P_H, P_Z, P_H, 700, check)
    call createCurrent(P_H, P_Z, P_Z, 701, check)
    call createCurrent(P_Z, P_H, P_Z, 702, check)
    call createCurrent(P_eMinus, P_A, P_ePlus, 703, check)
    call createCurrent(P_A, P_eMinus, P_ePlus, 704, check)
    call createCurrent(P_A, P_ePlus, P_eMinus, 705, check)
    call createCurrent(P_ePlus, P_eMinus, P_A, 706, check)
    call createCurrent(P_ePlus, P_A, P_eMinus, 707, check)
    call createCurrent(P_muMinus, P_A, P_muPlus, 708, check)
    call createCurrent(P_muPlus, P_muMinus, P_A, 709, check)
    call createCurrent(P_muPlus, P_A, P_muMinus, 710, check)
    call createCurrent(P_A, P_muMinus, P_muPlus, 711, check)
    call createCurrent(P_A, P_muPlus, P_muMinus, 712, check)
    call createCurrent(P_tauPlus, P_A, P_tauMinus, 713, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_A, 714, check)
    call createCurrent(P_A, P_tauPlus, P_tauMinus, 715, check)
    call createCurrent(P_A, P_tauMinus, P_tauPlus, 716, check)
    call createCurrent(P_tauMinus, P_A, P_tauPlus, 717, check)
    call createCurrent(P_A, P_u, P_uAnti, 718, check)
    call createCurrent(P_A, P_uAnti, P_u, 719, check)
    call createCurrent(P_u, P_A, P_uAnti, 720, check)
    call createCurrent(P_uAnti, P_A, P_u, 721, check)
    call createCurrent(P_uAnti, P_u, P_A, 722, check)
    call createCurrent(P_c, P_A, P_cAnti, 723, check)
    call createCurrent(P_A, P_c, P_cAnti, 724, check)
    call createCurrent(P_A, P_cAnti, P_c, 725, check)
    call createCurrent(P_cAnti, P_c, P_A, 726, check)
    call createCurrent(P_cAnti, P_A, P_c, 727, check)
    call createCurrent(P_t, P_A, P_tAnti, 728, check)
    call createCurrent(P_tAnti, P_t, P_A, 729, check)
    call createCurrent(P_tAnti, P_A, P_t, 730, check)
    call createCurrent(P_A, P_t, P_tAnti, 731, check)
    call createCurrent(P_A, P_tAnti, P_t, 732, check)
    call createCurrent(P_dAnti, P_A, P_d, 733, check)
    call createCurrent(P_dAnti, P_d, P_A, 734, check)
    call createCurrent(P_A, P_dAnti, P_d, 735, check)
    call createCurrent(P_A, P_d, P_dAnti, 736, check)
    call createCurrent(P_d, P_A, P_dAnti, 737, check)
    call createCurrent(P_A, P_s, P_sAnti, 738, check)
    call createCurrent(P_A, P_sAnti, P_s, 739, check)
    call createCurrent(P_s, P_A, P_sAnti, 740, check)
    call createCurrent(P_sAnti, P_A, P_s, 741, check)
    call createCurrent(P_sAnti, P_s, P_A, 742, check)
    call createCurrent(P_b, P_A, P_bAnti, 743, check)
    call createCurrent(P_A, P_b, P_bAnti, 744, check)
    call createCurrent(P_A, P_bAnti, P_b, 745, check)
    call createCurrent(P_bAnti, P_b, P_A, 746, check)
    call createCurrent(P_bAnti, P_A, P_b, 747, check)
    call createCurrent(P_g, P_u, P_uAnti, 748, check)
    call createCurrent(P_g, P_uAnti, P_u, 749, check)
    call createCurrent(P_u, P_g, P_uAnti, 750, check)
    call createCurrent(P_uAnti, P_g, P_u, 751, check)
    call createCurrent(P_uAnti, P_u, P_g, 752, check)
    call createCurrent(P_g, P_c, P_cAnti, 753, check)
    call createCurrent(P_g, P_cAnti, P_c, 754, check)
    call createCurrent(P_c, P_g, P_cAnti, 755, check)
    call createCurrent(P_cAnti, P_g, P_c, 756, check)
    call createCurrent(P_cAnti, P_c, P_g, 757, check)
    call createCurrent(P_dAnti, P_g, P_d, 758, check)
    call createCurrent(P_dAnti, P_d, P_g, 759, check)
    call createCurrent(P_g, P_dAnti, P_d, 760, check)
    call createCurrent(P_g, P_d, P_dAnti, 761, check)
    call createCurrent(P_d, P_g, P_dAnti, 762, check)
    call createCurrent(P_g, P_s, P_sAnti, 763, check)
    call createCurrent(P_g, P_sAnti, P_s, 764, check)
    call createCurrent(P_s, P_g, P_sAnti, 765, check)
    call createCurrent(P_sAnti, P_g, P_s, 766, check)
    call createCurrent(P_sAnti, P_s, P_g, 767, check)
    call createCurrent(P_g, P_b, P_bAnti, 768, check)
    call createCurrent(P_g, P_bAnti, P_b, 769, check)
    call createCurrent(P_b, P_g, P_bAnti, 770, check)
    call createCurrent(P_bAnti, P_g, P_b, 771, check)
    call createCurrent(P_bAnti, P_b, P_g, 772, check)
    call createCurrent(P_WPlus, P_d, P_uAnti, 773, check)
    call createCurrent(P_WPlus, P_uAnti, P_d, 774, check)
    call createCurrent(P_d, P_WPlus, P_uAnti, 775, check)
    call createCurrent(P_uAnti, P_WPlus, P_d, 776, check)
    call createCurrent(P_uAnti, P_d, P_WPlus, 777, check)
    call createCurrent(P_WPlus, P_s, P_cAnti, 778, check)
    call createCurrent(P_WPlus, P_cAnti, P_s, 779, check)
    call createCurrent(P_s, P_WPlus, P_cAnti, 780, check)
    call createCurrent(P_cAnti, P_s, P_WPlus, 781, check)
    call createCurrent(P_cAnti, P_WPlus, P_s, 782, check)
    call createCurrent(P_b, P_WPlus, P_tAnti, 783, check)
    call createCurrent(P_tAnti, P_b, P_WPlus, 784, check)
    call createCurrent(P_tAnti, P_WPlus, P_b, 785, check)
    call createCurrent(P_WPlus, P_b, P_tAnti, 786, check)
    call createCurrent(P_WPlus, P_tAnti, P_b, 787, check)
    call createCurrent(P_dAnti, P_WMinus, P_u, 788, check)
    call createCurrent(P_dAnti, P_u, P_WMinus, 789, check)
    call createCurrent(P_WMinus, P_dAnti, P_u, 790, check)
    call createCurrent(P_WMinus, P_u, P_dAnti, 791, check)
    call createCurrent(P_u, P_WMinus, P_dAnti, 792, check)
    call createCurrent(P_c, P_WMinus, P_sAnti, 793, check)
    call createCurrent(P_WMinus, P_c, P_sAnti, 794, check)
    call createCurrent(P_WMinus, P_sAnti, P_c, 795, check)
    call createCurrent(P_sAnti, P_c, P_WMinus, 796, check)
    call createCurrent(P_sAnti, P_WMinus, P_c, 797, check)
    call createCurrent(P_t, P_WMinus, P_bAnti, 798, check)
    call createCurrent(P_WMinus, P_t, P_bAnti, 799, check)
    call createCurrent(P_WMinus, P_bAnti, P_t, 800, check)
    call createCurrent(P_bAnti, P_t, P_WMinus, 801, check)
    call createCurrent(P_bAnti, P_WMinus, P_t, 802, check)
    call createCurrent(P_eMinus, P_WPlus, P_nu_eAnti, 803, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_WPlus, 804, check)
    call createCurrent(P_nu_eAnti, P_WPlus, P_eMinus, 805, check)
    call createCurrent(P_WPlus, P_eMinus, P_nu_eAnti, 806, check)
    call createCurrent(P_WPlus, P_nu_eAnti, P_eMinus, 807, check)
    call createCurrent(P_muMinus, P_WPlus, P_nu_muAnti, 808, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_WPlus, 809, check)
    call createCurrent(P_nu_muAnti, P_WPlus, P_muMinus, 810, check)
    call createCurrent(P_WPlus, P_muMinus, P_nu_muAnti, 811, check)
    call createCurrent(P_WPlus, P_nu_muAnti, P_muMinus, 812, check)
    call createCurrent(P_WPlus, P_tauMinus, P_nu_tauAnti, 813, check)
    call createCurrent(P_WPlus, P_nu_tauAnti, P_tauMinus, 814, check)
    call createCurrent(P_tauMinus, P_WPlus, P_nu_tauAnti, 815, check)
    call createCurrent(P_nu_tauAnti, P_WPlus, P_tauMinus, 816, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_WPlus, 817, check)
    call createCurrent(P_nu_e, P_WMinus, P_ePlus, 818, check)
    call createCurrent(P_WMinus, P_nu_e, P_ePlus, 819, check)
    call createCurrent(P_WMinus, P_ePlus, P_nu_e, 820, check)
    call createCurrent(P_ePlus, P_nu_e, P_WMinus, 821, check)
    call createCurrent(P_ePlus, P_WMinus, P_nu_e, 822, check)
    call createCurrent(P_WMinus, P_muPlus, P_nu_mu, 823, check)
    call createCurrent(P_WMinus, P_nu_mu, P_muPlus, 824, check)
    call createCurrent(P_muPlus, P_WMinus, P_nu_mu, 825, check)
    call createCurrent(P_muPlus, P_nu_mu, P_WMinus, 826, check)
    call createCurrent(P_nu_mu, P_WMinus, P_muPlus, 827, check)
    call createCurrent(P_tauPlus, P_WMinus, P_nu_tau, 828, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_WMinus, 829, check)
    call createCurrent(P_WMinus, P_tauPlus, P_nu_tau, 830, check)
    call createCurrent(P_WMinus, P_nu_tau, P_tauPlus, 831, check)
    call createCurrent(P_nu_tau, P_WMinus, P_tauPlus, 832, check)
    call createCurrent(P_u, P_Z, P_uAnti, 833, check)
    call createCurrent(P_Z, P_u, P_uAnti, 834, check)
    call createCurrent(P_Z, P_uAnti, P_u, 835, check)
    call createCurrent(P_uAnti, P_u, P_Z, 836, check)
    call createCurrent(P_uAnti, P_Z, P_u, 837, check)
    call createCurrent(P_Z, P_c, P_cAnti, 838, check)
    call createCurrent(P_Z, P_cAnti, P_c, 839, check)
    call createCurrent(P_c, P_Z, P_cAnti, 840, check)
    call createCurrent(P_cAnti, P_c, P_Z, 841, check)
    call createCurrent(P_cAnti, P_Z, P_c, 842, check)
    call createCurrent(P_t, P_Z, P_tAnti, 843, check)
    call createCurrent(P_tAnti, P_t, P_Z, 844, check)
    call createCurrent(P_tAnti, P_Z, P_t, 845, check)
    call createCurrent(P_Z, P_t, P_tAnti, 846, check)
    call createCurrent(P_Z, P_tAnti, P_t, 847, check)
    call createCurrent(P_dAnti, P_Z, P_d, 848, check)
    call createCurrent(P_dAnti, P_d, P_Z, 849, check)
    call createCurrent(P_Z, P_dAnti, P_d, 850, check)
    call createCurrent(P_Z, P_d, P_dAnti, 851, check)
    call createCurrent(P_d, P_Z, P_dAnti, 852, check)
    call createCurrent(P_s, P_Z, P_sAnti, 853, check)
    call createCurrent(P_Z, P_s, P_sAnti, 854, check)
    call createCurrent(P_Z, P_sAnti, P_s, 855, check)
    call createCurrent(P_sAnti, P_s, P_Z, 856, check)
    call createCurrent(P_sAnti, P_Z, P_s, 857, check)
    call createCurrent(P_Z, P_b, P_bAnti, 858, check)
    call createCurrent(P_Z, P_bAnti, P_b, 859, check)
    call createCurrent(P_b, P_Z, P_bAnti, 860, check)
    call createCurrent(P_bAnti, P_b, P_Z, 861, check)
    call createCurrent(P_bAnti, P_Z, P_b, 862, check)
    call createCurrent(P_nu_e, P_Z, P_nu_eAnti, 863, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_Z, 864, check)
    call createCurrent(P_nu_eAnti, P_Z, P_nu_e, 865, check)
    call createCurrent(P_Z, P_nu_e, P_nu_eAnti, 866, check)
    call createCurrent(P_Z, P_nu_eAnti, P_nu_e, 867, check)
    call createCurrent(P_nu_muAnti, P_Z, P_nu_mu, 868, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_Z, 869, check)
    call createCurrent(P_Z, P_nu_muAnti, P_nu_mu, 870, check)
    call createCurrent(P_Z, P_nu_mu, P_nu_muAnti, 871, check)
    call createCurrent(P_nu_mu, P_Z, P_nu_muAnti, 872, check)
    call createCurrent(P_nu_tau, P_Z, P_nu_tauAnti, 873, check)
    call createCurrent(P_Z, P_nu_tau, P_nu_tauAnti, 874, check)
    call createCurrent(P_Z, P_nu_tauAnti, P_nu_tau, 875, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_Z, 876, check)
    call createCurrent(P_nu_tauAnti, P_Z, P_nu_tau, 877, check)
    call createCurrent(P_Z, P_eMinus, P_ePlus, 878, check)
    call createCurrent(P_Z, P_ePlus, P_eMinus, 879, check)
    call createCurrent(P_eMinus, P_Z, P_ePlus, 880, check)
    call createCurrent(P_ePlus, P_eMinus, P_Z, 881, check)
    call createCurrent(P_ePlus, P_Z, P_eMinus, 882, check)
    call createCurrent(P_muMinus, P_Z, P_muPlus, 883, check)
    call createCurrent(P_muPlus, P_muMinus, P_Z, 884, check)
    call createCurrent(P_muPlus, P_Z, P_muMinus, 885, check)
    call createCurrent(P_Z, P_muMinus, P_muPlus, 886, check)
    call createCurrent(P_Z, P_muPlus, P_muMinus, 887, check)
    call createCurrent(P_tauPlus, P_Z, P_tauMinus, 888, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Z, 889, check)
    call createCurrent(P_Z, P_tauPlus, P_tauMinus, 890, check)
    call createCurrent(P_Z, P_tauMinus, P_tauPlus, 891, check)
    call createCurrent(P_tauMinus, P_Z, P_tauPlus, 892, check)
    call createCurrent(P_dAnti, P_GMinus, P_u, 893, check)
    call createCurrent(P_dAnti, P_u, P_GMinus, 894, check)
    call createCurrent(P_u, P_GMinus, P_dAnti, 895, check)
    call createCurrent(P_GMinus, P_dAnti, P_u, 896, check)
    call createCurrent(P_GMinus, P_u, P_dAnti, 897, check)
    call createCurrent(P_GMinus, P_c, P_sAnti, 898, check)
    call createCurrent(P_GMinus, P_sAnti, P_c, 899, check)
    call createCurrent(P_c, P_GMinus, P_sAnti, 900, check)
    call createCurrent(P_sAnti, P_GMinus, P_c, 901, check)
    call createCurrent(P_sAnti, P_c, P_GMinus, 902, check)
    call createCurrent(P_t, P_GMinus, P_bAnti, 903, check)
    call createCurrent(P_GMinus, P_t, P_bAnti, 904, check)
    call createCurrent(P_GMinus, P_bAnti, P_t, 905, check)
    call createCurrent(P_bAnti, P_t, P_GMinus, 906, check)
    call createCurrent(P_bAnti, P_GMinus, P_t, 907, check)
    call createCurrent(P_dAnti, P_G0, P_d, 908, check)
    call createCurrent(P_dAnti, P_d, P_G0, 909, check)
    call createCurrent(P_G0, P_dAnti, P_d, 910, check)
    call createCurrent(P_G0, P_d, P_dAnti, 911, check)
    call createCurrent(P_d, P_G0, P_dAnti, 912, check)
    call createCurrent(P_G0, P_s, P_sAnti, 913, check)
    call createCurrent(P_G0, P_sAnti, P_s, 914, check)
    call createCurrent(P_s, P_G0, P_sAnti, 915, check)
    call createCurrent(P_sAnti, P_G0, P_s, 916, check)
    call createCurrent(P_sAnti, P_s, P_G0, 917, check)
    call createCurrent(P_b, P_G0, P_bAnti, 918, check)
    call createCurrent(P_G0, P_b, P_bAnti, 919, check)
    call createCurrent(P_G0, P_bAnti, P_b, 920, check)
    call createCurrent(P_bAnti, P_b, P_G0, 921, check)
    call createCurrent(P_bAnti, P_G0, P_b, 922, check)
    call createCurrent(P_H, P_dAnti, P_d, 923, check)
    call createCurrent(P_H, P_d, P_dAnti, 924, check)
    call createCurrent(P_dAnti, P_H, P_d, 925, check)
    call createCurrent(P_dAnti, P_d, P_H, 926, check)
    call createCurrent(P_d, P_H, P_dAnti, 927, check)
    call createCurrent(P_H, P_s, P_sAnti, 928, check)
    call createCurrent(P_H, P_sAnti, P_s, 929, check)
    call createCurrent(P_s, P_H, P_sAnti, 930, check)
    call createCurrent(P_sAnti, P_H, P_s, 931, check)
    call createCurrent(P_sAnti, P_s, P_H, 932, check)
    call createCurrent(P_H, P_b, P_bAnti, 933, check)
    call createCurrent(P_H, P_bAnti, P_b, 934, check)
    call createCurrent(P_b, P_H, P_bAnti, 935, check)
    call createCurrent(P_bAnti, P_H, P_b, 936, check)
    call createCurrent(P_bAnti, P_b, P_H, 937, check)
    call createCurrent(P_nu_e, P_GMinus, P_ePlus, 938, check)
    call createCurrent(P_GMinus, P_nu_e, P_ePlus, 939, check)
    call createCurrent(P_GMinus, P_ePlus, P_nu_e, 940, check)
    call createCurrent(P_ePlus, P_nu_e, P_GMinus, 941, check)
    call createCurrent(P_ePlus, P_GMinus, P_nu_e, 942, check)
    call createCurrent(P_GMinus, P_muPlus, P_nu_mu, 943, check)
    call createCurrent(P_GMinus, P_nu_mu, P_muPlus, 944, check)
    call createCurrent(P_muPlus, P_GMinus, P_nu_mu, 945, check)
    call createCurrent(P_muPlus, P_nu_mu, P_GMinus, 946, check)
    call createCurrent(P_nu_mu, P_GMinus, P_muPlus, 947, check)
    call createCurrent(P_tauPlus, P_GMinus, P_nu_tau, 948, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_GMinus, 949, check)
    call createCurrent(P_nu_tau, P_GMinus, P_tauPlus, 950, check)
    call createCurrent(P_GMinus, P_tauPlus, P_nu_tau, 951, check)
    call createCurrent(P_GMinus, P_nu_tau, P_tauPlus, 952, check)
    call createCurrent(P_eMinus, P_G0, P_ePlus, 953, check)
    call createCurrent(P_G0, P_eMinus, P_ePlus, 954, check)
    call createCurrent(P_G0, P_ePlus, P_eMinus, 955, check)
    call createCurrent(P_ePlus, P_eMinus, P_G0, 956, check)
    call createCurrent(P_ePlus, P_G0, P_eMinus, 957, check)
    call createCurrent(P_muMinus, P_G0, P_muPlus, 958, check)
    call createCurrent(P_G0, P_muMinus, P_muPlus, 959, check)
    call createCurrent(P_G0, P_muPlus, P_muMinus, 960, check)
    call createCurrent(P_muPlus, P_muMinus, P_G0, 961, check)
    call createCurrent(P_muPlus, P_G0, P_muMinus, 962, check)
    call createCurrent(P_tauPlus, P_G0, P_tauMinus, 963, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_G0, 964, check)
    call createCurrent(P_G0, P_tauPlus, P_tauMinus, 965, check)
    call createCurrent(P_G0, P_tauMinus, P_tauPlus, 966, check)
    call createCurrent(P_tauMinus, P_G0, P_tauPlus, 967, check)
    call createCurrent(P_H, P_eMinus, P_ePlus, 968, check)
    call createCurrent(P_H, P_ePlus, P_eMinus, 969, check)
    call createCurrent(P_eMinus, P_H, P_ePlus, 970, check)
    call createCurrent(P_ePlus, P_H, P_eMinus, 971, check)
    call createCurrent(P_ePlus, P_eMinus, P_H, 972, check)
    call createCurrent(P_muMinus, P_H, P_muPlus, 973, check)
    call createCurrent(P_H, P_muMinus, P_muPlus, 974, check)
    call createCurrent(P_H, P_muPlus, P_muMinus, 975, check)
    call createCurrent(P_muPlus, P_muMinus, P_H, 976, check)
    call createCurrent(P_muPlus, P_H, P_muMinus, 977, check)
    call createCurrent(P_H, P_tauPlus, P_tauMinus, 978, check)
    call createCurrent(P_H, P_tauMinus, P_tauPlus, 979, check)
    call createCurrent(P_tauPlus, P_H, P_tauMinus, 980, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_H, 981, check)
    call createCurrent(P_tauMinus, P_H, P_tauPlus, 982, check)
    call createCurrent(P_GPlus, P_d, P_uAnti, 983, check)
    call createCurrent(P_GPlus, P_uAnti, P_d, 984, check)
    call createCurrent(P_d, P_GPlus, P_uAnti, 985, check)
    call createCurrent(P_uAnti, P_d, P_GPlus, 986, check)
    call createCurrent(P_uAnti, P_GPlus, P_d, 987, check)
    call createCurrent(P_s, P_GPlus, P_cAnti, 988, check)
    call createCurrent(P_cAnti, P_s, P_GPlus, 989, check)
    call createCurrent(P_cAnti, P_GPlus, P_s, 990, check)
    call createCurrent(P_GPlus, P_s, P_cAnti, 991, check)
    call createCurrent(P_GPlus, P_cAnti, P_s, 992, check)
    call createCurrent(P_b, P_GPlus, P_tAnti, 993, check)
    call createCurrent(P_tAnti, P_b, P_GPlus, 994, check)
    call createCurrent(P_tAnti, P_GPlus, P_b, 995, check)
    call createCurrent(P_GPlus, P_b, P_tAnti, 996, check)
    call createCurrent(P_GPlus, P_tAnti, P_b, 997, check)
    call createCurrent(P_G0, P_u, P_uAnti, 998, check)
    call createCurrent(P_G0, P_uAnti, P_u, 999, check)
    call createCurrent(P_u, P_G0, P_uAnti, 1000, check)
    call createCurrent(P_uAnti, P_G0, P_u, 1001, check)
    call createCurrent(P_uAnti, P_u, P_G0, 1002, check)
    call createCurrent(P_c, P_G0, P_cAnti, 1003, check)
    call createCurrent(P_G0, P_c, P_cAnti, 1004, check)
    call createCurrent(P_G0, P_cAnti, P_c, 1005, check)
    call createCurrent(P_cAnti, P_c, P_G0, 1006, check)
    call createCurrent(P_cAnti, P_G0, P_c, 1007, check)
    call createCurrent(P_t, P_G0, P_tAnti, 1008, check)
    call createCurrent(P_G0, P_t, P_tAnti, 1009, check)
    call createCurrent(P_G0, P_tAnti, P_t, 1010, check)
    call createCurrent(P_tAnti, P_t, P_G0, 1011, check)
    call createCurrent(P_tAnti, P_G0, P_t, 1012, check)
    call createCurrent(P_H, P_u, P_uAnti, 1013, check)
    call createCurrent(P_H, P_uAnti, P_u, 1014, check)
    call createCurrent(P_u, P_H, P_uAnti, 1015, check)
    call createCurrent(P_uAnti, P_H, P_u, 1016, check)
    call createCurrent(P_uAnti, P_u, P_H, 1017, check)
    call createCurrent(P_H, P_c, P_cAnti, 1018, check)
    call createCurrent(P_H, P_cAnti, P_c, 1019, check)
    call createCurrent(P_c, P_H, P_cAnti, 1020, check)
    call createCurrent(P_cAnti, P_H, P_c, 1021, check)
    call createCurrent(P_cAnti, P_c, P_H, 1022, check)
    call createCurrent(P_t, P_H, P_tAnti, 1023, check)
    call createCurrent(P_H, P_t, P_tAnti, 1024, check)
    call createCurrent(P_H, P_tAnti, P_t, 1025, check)
    call createCurrent(P_tAnti, P_t, P_H, 1026, check)
    call createCurrent(P_tAnti, P_H, P_t, 1027, check)
    call createCurrent(P_eMinus, P_GPlus, P_nu_eAnti, 1028, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_GPlus, 1029, check)
    call createCurrent(P_nu_eAnti, P_GPlus, P_eMinus, 1030, check)
    call createCurrent(P_GPlus, P_eMinus, P_nu_eAnti, 1031, check)
    call createCurrent(P_GPlus, P_nu_eAnti, P_eMinus, 1032, check)
    call createCurrent(P_muMinus, P_GPlus, P_nu_muAnti, 1033, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_GPlus, 1034, check)
    call createCurrent(P_nu_muAnti, P_GPlus, P_muMinus, 1035, check)
    call createCurrent(P_GPlus, P_muMinus, P_nu_muAnti, 1036, check)
    call createCurrent(P_GPlus, P_nu_muAnti, P_muMinus, 1037, check)
    call createCurrent(P_GPlus, P_tauMinus, P_nu_tauAnti, 1038, check)
    call createCurrent(P_GPlus, P_nu_tauAnti, P_tauMinus, 1039, check)
    call createCurrent(P_tauMinus, P_GPlus, P_nu_tauAnti, 1040, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_GPlus, 1041, check)
    call createCurrent(P_nu_tauAnti, P_GPlus, P_tauMinus, 1042, check)
    call createCurrent(P_A, P_G0, P_H, 1043, check)
    call createCurrent(P_A, P_Z, P_G0, P_G0, 1044, check)
    call createCurrent(P_A, P_Z, P_H, P_H, 1045, check)
    call createCurrent(P_A, P_Z, P_H, 1046, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_A, 1047, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_A, 1048, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_A, 1049, check)
    call createCurrent(P_H, P_H, 1050, check)
    call createCurrent(P_nu_e, P_nu_eAnti, 1051, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, 1052, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, 1053, check)
    call createCurrent(P_eMinus, P_ePlus, 1054, check)
    call createCurrent(P_muMinus, P_muPlus, 1055, check)
    call createCurrent(P_tauMinus, P_tauPlus, 1056, check)
    call createCurrent(P_u, P_uAnti, 1057, check)
    call createCurrent(P_c, P_cAnti, 1058, check)
    call createCurrent(P_t, P_tAnti, 1059, check)
    call createCurrent(P_d, P_dAnti, 1060, check)
    call createCurrent(P_s, P_sAnti, 1061, check)
    call createCurrent(P_b, P_bAnti, 1062, check)
    call createCurrent(P_A, P_A, 1063, check)
    call createCurrent(P_Z, P_A, 1064, check)
    call createCurrent(P_Z, P_Z, 1065, check)
    call createCurrent(P_A, P_Z, 1066, check)
    call createCurrent(P_WMinus, P_WPlus, 1067, check)
    call createCurrent(P_g, P_g, 1068, check)
    call createCurrent(P_WMinus, P_GPlus, 1069, check)
    call createCurrent(P_WPlus, P_GMinus, 1070, check)
    call createCurrent(P_Z, P_G0, 1071, check)
    call createCurrent(P_A, P_G0, 1072, check)
    call createCurrent(P_G0, P_G0, 1073, check)
    call createCurrent(P_GMinus, P_GPlus, 1074, check)
    call createCurrent(P_G0, P_H, P_A, 1075, check)
    call createCurrent(P_G0, P_A, P_H, 1076, check)
    call createCurrent(P_H, P_G0, P_A, 1077, check)
    call createCurrent(P_H, P_A, P_G0, 1078, check)
    call createCurrent(P_A, P_H, P_G0, 1079, check)
    call createCurrent(P_G0, P_G0, P_A, P_Z, 1080, check)
    call createCurrent(P_G0, P_G0, P_Z, P_A, 1081, check)
    call createCurrent(P_G0, P_A, P_G0, P_Z, 1082, check)
    call createCurrent(P_G0, P_A, P_Z, P_G0, 1083, check)
    call createCurrent(P_G0, P_Z, P_G0, P_A, 1084, check)
    call createCurrent(P_G0, P_Z, P_A, P_G0, 1085, check)
    call createCurrent(P_A, P_G0, P_G0, P_Z, 1086, check)
    call createCurrent(P_A, P_G0, P_Z, P_G0, 1087, check)
    call createCurrent(P_Z, P_G0, P_G0, P_A, 1088, check)
    call createCurrent(P_Z, P_G0, P_A, P_G0, 1089, check)
    call createCurrent(P_Z, P_A, P_G0, P_G0, 1090, check)
    call createCurrent(P_H, P_H, P_A, P_Z, 1091, check)
    call createCurrent(P_H, P_H, P_Z, P_A, 1092, check)
    call createCurrent(P_H, P_A, P_H, P_Z, 1093, check)
    call createCurrent(P_H, P_A, P_Z, P_H, 1094, check)
    call createCurrent(P_H, P_Z, P_H, P_A, 1095, check)
    call createCurrent(P_H, P_Z, P_A, P_H, 1096, check)
    call createCurrent(P_A, P_H, P_H, P_Z, 1097, check)
    call createCurrent(P_A, P_H, P_Z, P_H, 1098, check)
    call createCurrent(P_Z, P_H, P_H, P_A, 1099, check)
    call createCurrent(P_Z, P_H, P_A, P_H, 1100, check)
    call createCurrent(P_Z, P_A, P_H, P_H, 1101, check)
    call createCurrent(P_H, P_A, P_Z, 1102, check)
    call createCurrent(P_H, P_Z, P_A, 1103, check)
    call createCurrent(P_A, P_H, P_Z, 1104, check)
    call createCurrent(P_Z, P_H, P_A, 1105, check)
    call createCurrent(P_Z, P_A, P_H, 1106, check)
    call createCurrent(P_nu_e, P_A, P_nu_eAnti, 1107, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_A, 1108, check)
    call createCurrent(P_nu_eAnti, P_A, P_nu_e, 1109, check)
    call createCurrent(P_A, P_nu_e, P_nu_eAnti, 1110, check)
    call createCurrent(P_A, P_nu_eAnti, P_nu_e, 1111, check)
    call createCurrent(P_nu_muAnti, P_A, P_nu_mu, 1112, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_A, 1113, check)
    call createCurrent(P_A, P_nu_muAnti, P_nu_mu, 1114, check)
    call createCurrent(P_A, P_nu_mu, P_nu_muAnti, 1115, check)
    call createCurrent(P_nu_mu, P_A, P_nu_muAnti, 1116, check)
    call createCurrent(P_A, P_nu_tau, P_nu_tauAnti, 1117, check)
    call createCurrent(P_A, P_nu_tauAnti, P_nu_tau, 1118, check)
    call createCurrent(P_nu_tau, P_A, P_nu_tauAnti, 1119, check)
    call createCurrent(P_nu_tauAnti, P_A, P_nu_tau, 1120, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_A, 1121, check)
    call createCurrent(P_nu_eAnti, P_nu_e, 1122, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, 1123, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, 1124, check)
    call createCurrent(P_ePlus, P_eMinus, 1125, check)
    call createCurrent(P_muPlus, P_muMinus, 1126, check)
    call createCurrent(P_tauPlus, P_tauMinus, 1127, check)
    call createCurrent(P_uAnti, P_u, 1128, check)
    call createCurrent(P_cAnti, P_c, 1129, check)
    call createCurrent(P_tAnti, P_t, 1130, check)
    call createCurrent(P_dAnti, P_d, 1131, check)
    call createCurrent(P_sAnti, P_s, 1132, check)
    call createCurrent(P_bAnti, P_b, 1133, check)
    call createCurrent(P_WPlus, P_WMinus, 1134, check)
    call createCurrent(P_GPlus, P_WMinus, 1135, check)
    call createCurrent(P_GMinus, P_WPlus, 1136, check)
    call createCurrent(P_G0, P_Z, 1137, check)
    call createCurrent(P_G0, P_A, 1138, check)
    call createCurrent(P_GPlus, P_GMinus, 1139, check)
    call createCurrent(P_g, P_g, P_Z, 1140, check)
    call createCurrent(P_g, P_Z, P_g, 1141, check)
    call createCurrent(P_Z, P_g, P_g, 1142, check)
    call createCurrent(P_g, P_g, P_H, 1143, check)
    call createCurrent(P_g, P_H, P_g, 1144, check)
    call createCurrent(P_H, P_g, P_g, 1145, check)
    call createCurrent(P_A, P_A, P_g, P_g, 1146, check)
    call createCurrent(P_A, P_g, P_A, P_g, 1147, check)
    call createCurrent(P_A, P_g, P_g, P_A, 1148, check)
    call createCurrent(P_g, P_A, P_A, P_g, 1149, check)
    call createCurrent(P_g, P_A, P_g, P_A, 1150, check)
    call createCurrent(P_g, P_g, P_A, P_A, 1151, check)
    call createCurrent(P_A, P_g, P_g, P_Z, 1152, check)
    call createCurrent(P_A, P_g, P_Z, P_g, 1153, check)
    call createCurrent(P_A, P_Z, P_g, P_g, 1154, check)
    call createCurrent(P_g, P_A, P_g, P_Z, 1155, check)
    call createCurrent(P_g, P_A, P_Z, P_g, 1156, check)
    call createCurrent(P_g, P_g, P_A, P_Z, 1157, check)
    call createCurrent(P_g, P_g, P_Z, P_A, 1158, check)
    call createCurrent(P_g, P_Z, P_A, P_g, 1159, check)
    call createCurrent(P_g, P_Z, P_g, P_A, 1160, check)
    call createCurrent(P_Z, P_A, P_g, P_g, 1161, check)
    call createCurrent(P_Z, P_g, P_A, P_g, 1162, check)
    call createCurrent(P_Z, P_g, P_g, P_A, 1163, check)
    call createCurrent(P_A, P_g, P_g, P_g, 1164, check)
    call createCurrent(P_g, P_A, P_g, P_g, 1165, check)
    call createCurrent(P_g, P_g, P_A, P_g, 1166, check)
    call createCurrent(P_g, P_g, P_g, P_A, 1167, check)
    call createCurrent(P_g, P_g, P_Z, P_Z, 1168, check)
    call createCurrent(P_g, P_Z, P_g, P_Z, 1169, check)
    call createCurrent(P_g, P_Z, P_Z, P_g, 1170, check)
    call createCurrent(P_Z, P_g, P_g, P_Z, 1171, check)
    call createCurrent(P_Z, P_g, P_Z, P_g, 1172, check)
    call createCurrent(P_Z, P_Z, P_g, P_g, 1173, check)
    call createCurrent(P_WMinus, P_g, P_g, P_WPlus, 1174, check)
    call createCurrent(P_WMinus, P_g, P_WPlus, P_g, 1175, check)
    call createCurrent(P_WMinus, P_WPlus, P_g, P_g, 1176, check)
    call createCurrent(P_g, P_WMinus, P_g, P_WPlus, 1177, check)
    call createCurrent(P_g, P_WMinus, P_WPlus, P_g, 1178, check)
    call createCurrent(P_g, P_g, P_WMinus, P_WPlus, 1179, check)
    call createCurrent(P_g, P_g, P_WPlus, P_WMinus, 1180, check)
    call createCurrent(P_g, P_WPlus, P_WMinus, P_g, 1181, check)
    call createCurrent(P_g, P_WPlus, P_g, P_WMinus, 1182, check)
    call createCurrent(P_WPlus, P_WMinus, P_g, P_g, 1183, check)
    call createCurrent(P_WPlus, P_g, P_WMinus, P_g, 1184, check)
    call createCurrent(P_WPlus, P_g, P_g, P_WMinus, 1185, check)
    call createCurrent(P_g, P_g, P_g, P_Z, 1186, check)
    call createCurrent(P_g, P_g, P_Z, P_g, 1187, check)
    call createCurrent(P_g, P_Z, P_g, P_g, 1188, check)
    call createCurrent(P_Z, P_g, P_g, P_g, 1189, check)
    call createCurrent(P_g, P_g, P_H, P_H, 1190, check)
    call createCurrent(P_g, P_H, P_g, P_H, 1191, check)
    call createCurrent(P_g, P_H, P_H, P_g, 1192, check)
    call createCurrent(P_H, P_g, P_g, P_H, 1193, check)
    call createCurrent(P_H, P_g, P_H, P_g, 1194, check)
    call createCurrent(P_H, P_H, P_g, P_g, 1195, check)
    call createCurrent(P_g, P_g, P_GPlus, P_GMinus, 1196, check)
    call createCurrent(P_g, P_g, P_GMinus, P_GPlus, 1197, check)
    call createCurrent(P_g, P_GPlus, P_g, P_GMinus, 1198, check)
    call createCurrent(P_g, P_GPlus, P_GMinus, P_g, 1199, check)
    call createCurrent(P_g, P_GMinus, P_g, P_GPlus, 1200, check)
    call createCurrent(P_g, P_GMinus, P_GPlus, P_g, 1201, check)
    call createCurrent(P_GPlus, P_g, P_g, P_GMinus, 1202, check)
    call createCurrent(P_GPlus, P_g, P_GMinus, P_g, 1203, check)
    call createCurrent(P_GPlus, P_GMinus, P_g, P_g, 1204, check)
    call createCurrent(P_GMinus, P_g, P_g, P_GPlus, 1205, check)
    call createCurrent(P_GMinus, P_g, P_GPlus, P_g, 1206, check)
    call createCurrent(P_GMinus, P_GPlus, P_g, P_g, 1207, check)
    call createCurrent(P_G0, P_G0, P_g, P_g, 1208, check)
    call createCurrent(P_G0, P_g, P_G0, P_g, 1209, check)
    call createCurrent(P_G0, P_g, P_g, P_G0, 1210, check)
    call createCurrent(P_g, P_G0, P_G0, P_g, 1211, check)
    call createCurrent(P_g, P_G0, P_g, P_G0, 1212, check)
    call createCurrent(P_g, P_g, P_G0, P_G0, 1213, check)
  end subroutine fill_current_1
end module currents_info1
