!******************************************************************************!
!                                                                              !
!    tcVVVV.f90                                                                !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   tcVVVV.f90                                     |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2022-02-19 17:49             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module tcVVVV
  use class_vertices
  use constants_mdl
  implicit none
  complex (dp) :: x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13,  &
                  x14, x15, x16, x17, x18, x19, x20, x21, x22, x23, x24, x25,  &
                  x26, x27, x28, x29, x30, x31, x32, x33, x34, x35, x36, x37,  &
                  x38, x39, x40, x41, x42
  complex (dp), dimension(0:3) :: x0vec, x1vec, x2vec, x3vec, x4vec, x5vec,    &
                                  x6vec, x7vec
  contains
    subroutine treeVVVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m, &
    wout, last, VB_last)
      use class_vertices
      integer, intent(in) :: ty
      logical, intent(inout) :: VB_last
      logical, intent(in) :: last
      complex(kind=dp), dimension(0:), intent(in) :: co
      complex(kind=dp), intent(in), dimension(0:3) :: P1, PL1
      complex(kind=dp), intent(in), dimension(0:3) :: w1
      complex(kind=dp), intent(in), dimension(0:3) :: P2, PL2
      complex(kind=dp), intent(in), dimension(0:3) :: w2
      complex(kind=dp), intent(in), dimension(0:3) :: P3, PL3
      complex(kind=dp), intent(in), dimension(0:3) :: w3
      complex(kind=dp), intent(in) :: m
      complex(kind=dp), intent(in) :: den
      complex(kind=dp), dimension(0:3), intent(out) :: wout
      character(len=3) :: ty_str
      complex(kind=dp), dimension(0:3) :: pl, p
      select case(ty)
      case(VVVV0)
!       Metric(1,4)*Metric(2,3)*c0
!       Metric(1,3)*Metric(2,4)*c1
!       Metric(1,2)*Metric(3,4)*c2
        if (last) VB_last = .true.
        x0vec = co(1)*w2(:)
        x1vec = co(2)*w3(:)
        wout = co(0)*w1(:)*(-w2(0)*w3(0) + w2(1)*w3(1) + w2(2)*w3(2) + w2(3)*w3&
               (3)) - w1(0)*w2(0)*x1vec - w1(0)*w3(0)*x0vec + w1(1)*w2(1)*x1vec&
                + w1(1)*w3(1)*x0vec + w1(2)*w2(2)*x1vec + w1(2)*w3(2)*x0vec +  &
               w1(3)*w2(3)*x1vec + w1(3)*w3(3)*x0vec
      case(VVVV1)
!       Metric(1,4)*Metric(2,3)*c0
!       Metric(1,3)*Metric(2,4)*c1
!       Metric(1,2)*Metric(3,4)*c2
!       Epsilon(1,2,3,4)*c3
        if (last) VB_last = .true.
        x0 = w2(1)*w3(1)
        x1 = w2(2)*w3(2)
        x2 = w2(3)*w3(3)
        x3 = w2(0)*w3(0)
        x4 = co(0)*(x0 + x1 + x2 - x3)
        x5 = w1(1)*w2(3)
        x6 = w1(3)*w2(1)
        x7 = x5 - x6
        x8 = co(3)*w3(2)
        x9 = w1(2)*w2(3)
        x10 = w1(3)*w2(2)
        x11 = co(3)*(-x10 + x9)
        x12 = w1(1)*w2(2)
        x13 = w1(2)*w2(1)
        x14 = x12 - x13
        x15 = co(3)*w3(3)
        x16 = w1(1)*w2(0)
        x17 = co(1)*w3(1)
        x18 = w1(2)*w2(0)
        x19 = co(1)*w3(2)
        x20 = w1(3)*w2(0)
        x21 = co(1)*w3(3)
        x22 = co(2)*w3(0)
        x23 = w1(1)*w2(1)
        x24 = w1(2)*w2(2)
        x25 = w1(3)*w2(3)
        x26 = w1(0)*x3
        x27 = w1(0)*w2(3)
        x28 = -x20 + x27
        x29 = w1(0)*w2(2)
        x30 = -x18 + x29
        x31 = w1(1)*x0
        x32 = co(2)*w3(1)
        x33 = w1(0)*w2(1)
        x34 = co(1)*w3(0)
        x35 = w1(0)*w2(0)
        x36 = co(3)*w3(0)
        x37 = -x16 + x33
        x38 = co(3)*w3(1)
        x39 = w1(2)*x1
        x40 = co(2)*w3(2)
        x41 = w1(3)*x2
        x42 = co(2)*w3(3)
        wout(0) = -co(1)*x26 - co(2)*x26 + w1(0)*x4 - w3(1)*x11 - x14*x15 + x16&
                  *x17 + x18*x19 + x20*x21 + x22*x23 + x22*x24 + x22*x25 + x7* &
                  x8
        wout(1) = co(1)*x31 + co(2)*x31 + w1(1)*x4 - w3(0)*x11 + x13*x19 - x15*&
                  x30 + x21*x6 + x24*x32 + x25*x32 + x28*x8 - x32*x35 - x33*x34
        wout(2) = co(1)*x39 + co(2)*x39 + w1(2)*x4 + x10*x21 + x12*x17 + x15*  &
                  x37 + x23*x40 + x25*x40 - x28*x38 - x29*x34 - x35*x40 + x36* &
                  x7
        wout(3) = co(1)*x41 + co(2)*x41 + w1(3)*x4 - x14*x36 + x17*x5 + x19*x9 &
                   + x23*x42 + x24*x42 - x27*x34 + x30*x38 - x35*x42 - x37*x8
      end select 
    end subroutine treeVVVV
end module tcVVVV
